'
'Copyright 2023 Arnold Kramer   T&T WARE tijdelijkkistjeskerel@gmail.com
'
'ver. 20240722 1.6.21
$ExeIcon:'c:/T&TWareIcons/HRExe.ico'
_Title "Helicopter Rescue - Menu"
DefInt A-Z

Open "..\TXTFiles\VOLUME.TXT" For Input As #1
Input #1, Volume
Close #1

SlideSpeed& = 1280

Pct$ = LTrim$(Str$(Volume))

Click& = _SndOpen("..\OGGFiles\" + "Click.ogg", "VOL,SYNC")

Warningkje& = _SndOpen("..\OGGFiles\" + "HitEnemy.ogg", "VOL,SYNC")


controller$ = "MOUSE"


_SndVol Click&, Volume / 100

_SndVol HitEnemy&, Volume / 100





Const FeetPerSecondToKnots! = 0.592483801
Const pi# = 4 * Atn(1)
Const pf# = (180 / pi#)
Const worldx# = 5000
Const worldz# = 5000
Const MaxScenes = 10
Const LichtkrantPulseTijd# = 1 / 75 'sec.

MPSeconds& = 3600 '1800 seconden voor CHAIN i.v.m. oplopende Stack
'

Open "..\TXTFiles\CURHISCO.TXT" For Input As #19
Input #19, CURHISCO
Close #19

locknr = CURHISCO


ReDim Page1(0 To 500)
ReDim Page2(0 To 500)

ReDim LLock(0 To 10, 0 To 10)
ReDim aantallocked(0 To 10)
ReDim Aantalvrij(0 To 10)
ReDim Enemynummer(0 To 10)

For locknr = 0 To 10
    lnr$ = LTrim$(Str$(locknr))
    If Len(lnr$) < 2 Then lnr$ = "0" + lnr$
    Open "..\TXTFiles\" + "LOCKS" + lnr$ + ".TXT" For Input As #1 '
    aantallocked(locknr) = 0
    Input #1, LLock(locknr, 1) 'SUPPLY TRUCK
    If LLock(locknr, 1) = 1 Then aantallocked(locknr) = aantallocked(locknr) + 1
    Input #1, LLock(locknr, 2) 'SPORTSCAR
    If LLock(locknr, 2) = 1 Then aantallocked(locknr) = aantallocked(locknr) + 1
    Input #1, LLock(locknr, 3) 'JEEP
    If LLock(locknr, 3) = 1 Then aantallocked(locknr) = aantallocked(locknr) + 1
    Input #1, LLock(locknr, 4) 'TANK
    If LLock(locknr, 4) = 1 Then aantallocked(locknr) = aantallocked(locknr) + 1
    Input #1, LLock(locknr, 5) 'TREE
    If LLock(locknr, 5) = 1 Then aantallocked(locknr) = aantallocked(locknr) + 1
    Input #1, LLock(locknr, 6) 'SHED
    If LLock(locknr, 6) = 1 Then aantallocked(locknr) = aantallocked(locknr) + 1
    Input #1, LLock(locknr, 7) 'HEAP
    If LLock(locknr, 7) = 1 Then aantallocked(locknr) = aantallocked(locknr) + 1
    Close #1

    For k = 0 To 7
        If LLock(locknr, k) = 0 Then Aantalvrij(locknr) = Aantalvrij(locknr) + 1
    Next

Next

DECLARE SUB Mouse (Funk)
'

Blades& = _SndOpen("..\OGGFiles\" + "Blades.ogg", "VOL,SYNC")


_SndVol Click&, Volume / 100
_SndVol Blades&, Volume / 100
grootte = 50 '                              array karakters
kmax = 99
dotstraal! = 2 '                            afmeting gele stip bij analyse
straaltje = 14 '                            lengte van de gele heading-lijn bij analyse en dus de get array (max 16)
naaldlengte = 13
maxseconds = 9999
grafiekkeuze = 1
onetoseventeller = 0
NumberOfFlashes = 3

ReDim bulk1(0 To 100000)
ReDim bulk2(0 To 100000)
ReDim bulk3(0 To 50000)

ReDim cPxl(0 To 187, 0 To 145)
ReDim stukje(0 To 200)
ReDim stukjepark(0 To 200)

'
ReDim xNader(0 To maxseconds)
ReDim zNader(0 To maxseconds)

ReDim xxx#(0 To maxseconds)
ReDim yyy#(0 To maxseconds)
ReDim zzz#(0 To maxseconds)
ReDim fuel#(0 To maxseconds)
ReDim ammo(0 To maxseconds)
ReDim heading(0 To maxseconds)
ReDim snelheid(0 To maxseconds)
ReDim PlayerName$(0 To 10)
ReDim PlayerScore&(0 To 10)
ReDim PlayerLevel(0 To 10)
ReDim FuelTotal#(0 To 10)
ReDim PlayerSeconds&(0 To 10)
ReDim min$(0 To 10)
ReDim sec$(0 To 10)
ReDim PS$(0 To 10)
ReDim tiles(1 To MaxScenes)
ReDim tiles$(1 To MaxScenes)
ReDim xx#(1 To 9, 0 To kmax)
ReDim yy#(1 To 9, 0 To kmax)
ReDim zz#(1 To 9, 0 To kmax)
ReDim b$(1 To 9, 0 To kmax)
ReDim t(0 To 10000)
ReDim v(0 To 10000)
ReDim vglow(0 To 10000)
ReDim w(0 To 10000)
ReDim logo(0 To 90000)
ReDim Accolade(1000)
ReDim SliderPark(8000) '
ReDim DontShoot(0 To 5000)
ReDim DontShootMask(0 To 5000)
ReDim DontShootBackground(0 To 5000)
ReDim DontShoottext(0 To 5000)
ReDim DontShoottextMask(0 To 5000)
ReDim DontShoottextBackground(0 To 5000)

'
ReDim Muis(0 To 5000)
ReDim MuisMask(0 To 5000)
'ReDim MuisBackground(0 To 5000)

ReDim Roos(0 To 5000)
ReDim RoosMask(0 To 5000)

ReDim tekstachtergrond(0 To 13000)
ReDim balparkL(0 To 2000)
ReDim balparkR(0 To 50)

Open "..\TXTFiles\" + "ENDTEXT.TXT" For Input As #1
Input #1, EndText$
Close #1


Open "..\TXTFiles\" + "FPS.TXT" For Input As #1
Input #1, OverallFramerate
Close #1

Open "..\TXTFiles\" + "SPEED.TXT" For Input As #1
Input #1, fastslow$
Close #1

Open "..\TXTFiles\SCORES.TXT" For Input As #1
For k = 1 To 10
    Input #1, k
    Input #1, PlayerName$(k)
    Input #1, PlayerScore&(k)
    Input #1, PlayerLevel(k)
    Input #1, FuelTotal#(k)
    Input #1, PlayerSeconds&(k)
    min$(k) = LTrim$(Str$(PlayerSeconds&(k) \ 60))
    sec$(k) = LTrim$(Str$(PlayerSeconds&(k) Mod 60))
    While Len(min$(k)) < 2: min$(k) = "0" + min$(k): Wend
    While Len(sec$(k)) < 2: sec$(k) = "0" + sec$(k): Wend
    PS$(k) = min$(k) + ":" + sec$(k)
Next
Close #1

ReDim x#(0 To 1999, 0 To 4)
ReDim y#(0 To 1999, 0 To 4)
ReDim z#(0 To 1999, 0 To 4)
ReDim kleur(0 To 1999)
ReDim Big&(0 To 45000)
ReDim Bigger&(0 To 90000)
ReDim LedOn(0 To 500)
ReDim LedOff(0 To 500)
ReDim LedHalf(0 To 500)
ReDim balknul(0 To 1000)
ReDim balk(0 To 1000)
ReDim balkpark(0 To 1000)
ReDim balkhalf(0 To 1000)

Restore Lichtkrant

PS$ = LTrim$(Str$(PlayerScore&(1)))
While Len(PS$) < 6: PS$ = "0" + PS$: Wend
totaal$ = "                                 *** HELICOPTER RESCUE ***                                                                                   "
totaal$ = totaal$ + "             WELCOME PILOT                                                                                         "
totaal$ = totaal$ + "  HIGHSCORE: " + PS$ + " BY " + PlayerName$(1) + "                                                                                                "
terug:
Read regel$
If regel$ <> "13131313" Then
    totaal$ = totaal$ + regel$ + " "
    GoTo terug
End If
'

Screen _NewImage(640, 480, 256)








Open "..\TXTFiles\DISPLAYM.TXT" For Input As #11
Input #11, screen$
Close #11
If screen$ = "FULLSCREEN" Then full = 1
If screen$ = "WINDOWED" Then full = 0
If full = 1 Then
    _FullScreen _SquarePixels , _Smooth
Else
    _FullScreen _Off
    _ScreenMove _Middle
End If


















'
If _FileExists("..\REPLAY.mcr") = 0 GoTo WeiterReiter
Open "..\REPLAY.mcr" For Input As #23

AantalElementen = 0
Do
    Input #23, CheckWaarde: AantalElementen = AantalElementen + 1
Loop Until EOF(23)
Close #23

If AantalElementen Mod 4 <> 0 Then
    Cls: Locate 10, 9: Print "'REPLAY.mcr' broken, can't be repaired. It will be deleted. <ANY KEY>";
    While InKey$ = "": _Limit OverallFramerate: Wend
    Kill "..\REPLAY.mcr": GoTo WeiterReiter
End If
If CheckWaarde <> 9999 Then
    Cls: Locate 10, 18: Print "'REPLAY.mcr' File Broken. (R)epair or (D)elete?";
Else
    GoTo WeiterReiter
End If
CheckL000:
i$ = InKey$
_Limit OverallFramerate
If i$ = "r" Or i$ = "R" GoTo RepairMCR
If i$ = "d" Or i$ = "D" Then Kill "..\REPLAY.mcr": Cls: Locate 10, 24: Print "'REPLAY.mcr' deleted. <ANY KEY>";: While InKey$ = "": Wend: GoTo WeiterReiter
GoTo CheckL000
RepairMCR:
Open "..\REPLAY.mcr" For Append As #23
Print #23, 9999, 9999, 9999, 9999
Close #23
Cls: Locate 10, 24: Print "'REPLAY.mcr' repaired. <ANY KEY>";
While InKey$ = "": _Limit OverallFramerate: Wend
WeiterReiter:




For altco = 0 To 255: Palette altco, 0: Next

Line (0, 0)-(639, 19), 0, BF

Restore Accolade
For Y = 0 To 22
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "1": PSet (x, Y), 15
        End Select
    Next
Next
Get (0, 0)-(5, 22), Accolade(0)

'
Restore pages
For Y = 0 To 9
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "1": PSet (100 + x, Y), 15
        End Select
    Next
Next
Get (100, 0)-(111, 4), Page1(0)
Get (100, 5)-(111, 9), Page2(0)





Restore Led
For Y = 0 To 11
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "A": PSet (x, Y), 9 '
            Case "B": PSet (x, Y), 3 '
            Case "C": PSet (x, Y), 8 '
            Case ".": PSet (x, Y), 3
            Case Else: PSet (x, Y), Val(b$)
        End Select
    Next
Next
Get (0, 0)-(11, 11), LedOff(0)
For Y = 0 To 11
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "A": PSet (x, Y), 9 '
            Case "B": PSet (x, Y), 16 '
            Case "C": PSet (x, Y), 8 '
            Case ".": PSet (x, Y), 3
            Case Else: PSet (x, Y), Val(b$)
        End Select
    Next
Next
Get (0, 0)-(11, 11), LedOn(0)
For Y = 0 To 11
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "A": PSet (x, Y), 9 '
            Case "B": PSet (x, Y), 16 '
            Case "C": PSet (x, Y), 165 '
            Case ".": PSet (x, Y), 3
            Case Else: PSet (x, Y), Val(b$)
        End Select
    Next
Next
Get (0, 0)-(11, 11), LedHalf(0)

'roos       kleuren: wit: 170  lichtbruin:173 bruin:172 donkerbruin:171
Restore roos

For Y = 0 To 55
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "1": PSet (x, Y), 164
            Case Else: PSet (x, Y), 0
        End Select
    Next
Next
Get (0, 0)-(55, 55), Roos(0)
Line (0, 0)-(55, 55), 0, BF
Restore roos
For Y = 0 To 55
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "0": PSet (x, Y), 255
            Case Else: PSet (x, Y), 0
        End Select
    Next
Next
Get (0, 0)-(55, 55), RoosMask(0)
Line (0, 0)-(55, 55), 0, BF


Restore dontshoot
For Y = 0 To 31
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "1": PSet (x, Y), 9 '
            Case "2": PSet (x, Y), 8 '
            Case Else: PSet (x, Y), 0 '
        End Select
    Next
Next
Get (0, 0)-(31, 31), DontShoot(0)
Line (0, 0)-(31, 31), 0, BF
Restore dontshoot
For Y = 0 To 31
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "0": PSet (x, Y), 255
            Case Else: PSet (x, Y), 0 '
        End Select
    Next
Next
Get (0, 0)-(31, 31), DontShootMask(0)
Line (0, 0)-(639, 31), 0, BF
'









Restore dontshoottext
For Y = 0 To 12
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case Is <> "0": PSet (x, Y), 8 '
                'Case "2": PSet (x, Y), 8 '
            Case Else: PSet (x, Y), 0 '
        End Select
    Next
Next
Get (0, 0)-(91, 12), DontShoottext(0)
Line (0, 0)-(91, 12), 0, BF
Restore dontshoottext
For Y = 0 To 12
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "0": PSet (x, Y), 255
            Case Else: PSet (x, Y), 0 '
        End Select
    Next
Next
Get (0, 0)-(91, 12), DontShoottextMask(0)
Line (0, 0)-(91, 12), 0, BF





'
Restore Muis
For Y = 0 To 10
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "1": PSet (x, Y), 9 '
            Case "2": PSet (x, Y), 8 '
            Case Else: PSet (x, Y), 0 '
        End Select
    Next
Next
Get (0, 0)-(10, 10), Muis(0)
Line (0, 0)-(10, 10), 0, BF
Restore Muis
For Y = 0 To 10
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "0": PSet (x, Y), 255
            Case Else: PSet (x, Y), 0 '
        End Select
    Next
Next
Get (0, 0)-(10, 10), MuisMask(0)
Line (0, 0)-(639, 31), 0, BF

Restore Balknul
For Y = 0 To 7
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "0": PSet (x, Y), 0
            Case Else: PSet (x, Y), 5
        End Select
    Next
Next
Get (0, 0)-(39, 7), balknul(0)
Line (0, 0)-(39, 7), 0, BF

Restore Balk
For Y = 0 To 7
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "0": PSet (x, Y), 0
            Case Else: PSet (x, Y), 5
        End Select
    Next
Next
Get (0, 0)-(39, 7), balk(0)
Line (0, 0)-(39, 7), 0, BF

Restore Balkhalf
For Y = 0 To 7
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "0": PSet (x, Y), 0
            Case Else: PSet (x, Y), 5
        End Select
    Next
Next
Get (0, 0)-(39, 7), balkhalf(0)
Line (0, 0)-(39, 7), 0, BF


For y1 = 441 To 467
    Line (0, y1)-(639, y1), y1 - 241
Next
GoSub graphics

x1 = 0: y1 = 0: x2 = 639: y2 = 479: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
x1 = 10: y1 = 11: x2 = 429: y2 = 429: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF: GoSub tekengat
x1 = 436: y1 = 11: x2 = 629: y2 = 162: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF: GoSub tekengat
x1 = 10: y1 = 439: x2 = 629: y2 = 469: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF: GoSub tekengat
For y1 = 441 To 467
    Line (12, y1)-(627, y1), y1 - 241
Next



Palette 0, 65536 * 0 + 256 * 0 + 0 '   zwart
Palette 1, 65536 * 12 + 256 * 12 + 12 '-
Palette 2, 65536 * 24 + 256 * 24 + 24 ' |
Palette 3, 65536 * 36 + 256 * 36 + 36 ' |grijstinten tot wit
Palette 4, 65536 * 48 + 256 * 48 + 48 ' |
Palette 5, 65536 * 63 + 256 * 63 + 63 '-
Palette 6, 65536 * 12 + 256 * 12 + 12 '  blauw
Palette 7, 65536 * 0 + 256 * 63 + 0 '  groen
Palette 8, 65536 * 0 + 256 * 0 + 63 '  rood
Palette 9, 65536 * 0 + 256 * 0 + 23 ' donker rood
Palette 10, 65536 * 0 + 256 * 50 + 55 '-
Palette 11, 65536 * 0 + 256 * 45 + 50 ' |vlamtinten
Palette 12, 65536 * 0 + 256 * 35 + 45 ' |
Palette 13, 65536 * 0 + 256 * 25 + 63 '-
Palette 14, 65536 * 0 + 256 * 15 + 0 '  donkergroen
Palette 15, 65526 * 0 + 256 * 63 + 0 'hoofdkleur
Palette 16, 65536 * 0 + 256 * 31 + 0 'mediumgroen
Palette 164, 65536 * 0 + 256 * 31 + 0 'mediumgroen
Palette 165, 65536 * 0 + 256 * 0 + 43 'mediumrood

'
Palette 170, 65536 * 0 + 256 * 0 + 0 ' zwart
Palette 171, 65536 * 63 + 256 * 63 + 63 ' wit
Palette 172, 65536 * 0 + 256 * 15 + 31 ' l-bruin
Palette 173, 65536 * 0 + 256 * 7 + 15 ' d-bruin
Palette 174, 65536 * 50 + 256 * 25 + 25


For grey = 100 To 163
    Palette grey, 65536 * (grey - 100) + 256 * (grey - 100) + (grey - 100)
Next
Palette 32, 65536 * 0 + 256 * 0 + 0
Palette 33, 65536 * 63 + 256 * 63 + 63 'Lichtkrant-letters, witte letters
For kleu = 200 To 226 'zwart
    hulpwaarde = Int((kleu - 200) * 2.4)
    Palette kleu, 0
Next

waardeToev$ = LTrim$(Str$(PlayerScore&(1)))
While Len(waardeToev$) < 6: waardeToev$ = "0" + waardeToev$: Wend

RFileNr = 1
Open "..\TXTFiles\LEVEL" + LTrim$(Str$(RFileNr)) + ".TXT" For Input As #4
Input #4, a$
Input #4, AllowedSec&
Input #4, max
For k = 0 To max
    Input #4, xx#(RFileNr, k)
    Input #4, yy#(RFileNr, k)
    Input #4, zz#(RFileNr, k)
    Input #4, b$(RFileNr, k)
Next

'*******************************

hulp6:

vakafmeting = 8
dxmap = 20: dymap = 20
Line (-9 + dxmap, -8 + dymap)-(8 + dxmap + 50 * vakafmeting, 8 + dymap + 50 * vakafmeting), 14, BF
For xmap = 0 To 50
    For ymap = 0 To 50
        PSet (dxmap + vakafmeting * xmap, dymap + vakafmeting * ymap), 7
    Next
Next
'
Get (200, 140)-(239, 147), balkpark(0)
Put (200, 140), balknul(0), PSet
'
For t = 0 To maxseconds
    xxx#(t) = 0: yyy#(t) = 0: zzz#(t) = 0: fuel#(t) = 0: ammo(t) = 0
Next
t = 0
For N = 1 To MaxScenes
    nummer$ = Right$(Str$(N), Len(Str$(N)) - 1)
    If Len(nummer$) < 2 Then nummer$ = "0" + nummer$
    vergelijk$ = "SCENE" + nummer$ + ".ITM"
    If _FileExists("..\ITMFiles\" + vergelijk$) = -1 Then
        Open "..\ITMFiles\" + vergelijk$ For Input As #7
        Input #7, start$
        Input #7, tiles(N)
        Close #7
        nummer$ = Right$(Str$(tiles(N)), Len(Str$(tiles(N))) - 1)
        While Len(nummer$) < 5: nummer$ = "0" + nummer$: Wend
        tiles$(N) = nummer$
    End If
Next

Open "..\TXTFiles\CURRENT.TXT" For Input As #5
Input #5, CurrentITM$
Close #5

'
Open "..\TXTFiles\CURHISCO.TXT" For Input As #19
Input #19, CURHISCO
Close #19

locknr = CURHISCO


GoSub loaditm
GoSub DrawITMMap

x1 = 436: y1 = 400: x2 = 629: y2 = 428: GoSub tekenblok
waarde$ = "EXIT"
dx = 440: dy = 411: GoSub PlaatsZwartOpGrijs
LO = 0: Put (608, 409), LedOff(0), PSet
x1 = 436: y1 = 362: x2 = 629: y2 = 390: GoSub tekenblok
waarde$ = "RESET FILES"
dx = 440: dy = 373: GoSub PlaatsZwartOpGrijs
LO = 0: Put (608, 371), LedOff(0), PSet
x1 = 436: y1 = 324: x2 = 629: y2 = 352: GoSub tekenblok
waarde$ = "ANALYSIS"
dx = 440: dy = 335: GoSub PlaatsZwartOpGrijs
LO = 0: Put (608, 333), LedOff(0), PSet
x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekenblok
waarde$ = "FLY"
dx = 440: dy = 297: GoSub PlaatsZwartOpGrijs
LO = 0: Put (608, 295), LedOff(0), PSet
x1 = 436: y1 = 248: x2 = 629: y2 = 276: GoSub tekenblok
waarde$ = "INFO"
dx = 440: dy = 259: GoSub PlaatsZwartOpGrijs
LO = 0: Put (608, 257), LedOff(0), PSet
x1 = 436: y1 = 210: x2 = 629: y2 = 238: GoSub tekenblok
waarde$ = "ACHIEVEMENTS"
dx = 440: dy = 221: GoSub PlaatsZwartOpGrijs
LO = 0: Put (608, 219), LedOff(0), PSet
x1 = 436: y1 = 172: x2 = 629: y2 = 200: GoSub tekenblok
waarde$ = "HALL OF FAME":
dx = 440: dy = 183: GoSub PlaatsZwartOpGrijs
LO = 0: Put (608, 181), LedOff(0), PSet


'
Put (200, 140), balk(0), PSet

Open "..\Resources\Logo.pxl" For Input As #3
For yPxl = 0 To 145
    For xPxl = 0 To 187
        Input #3, cPxl(xPxl, yPxl)
    Next
Next
Close #3

Put (200, 140), balkhalf(0), PSet

Line (437, 12)-(628, 161), 1, B
Line (438, 13)-(627, 160), 1, B
For yPxl = 0 To 145
    For xPxl = 0 To 187
        PSet (xPxl + 439, yPxl + 14), cPxl(xPxl, yPxl)
    Next
Next

Put (200, 140), balkpark(0), PSet
'

Get (439, 14)-(626, 159), logo(0)

Timer Off
'teken kompasroos
'
Put (40, 40), RoosMask(0), And
Put (40, 40), Roos(0), Xor
'
GoSub drawCurrentBlackbox
'GOSUB drawCurrentBB

k = 0
x = 220 + 8 * xx#(RFileNr, k) / 100
Y = 220 - 8 * zz#(RFileNr, k) / 100
If x < 14 Then x = 14
If x > 425 Then x = 425
If Y < 15 Then Y = 15
If Y > 425 Then Y = 425

waarde$ = Right$(Str$(k), Len(Str$(k)) - 1)
dx = x + 1: dy = Y + 5
GoSub PlaatsTekstCentered

GoSub CalculateDistance

If Tmax > 0 Then
    AverageSpeed = (Distance& / Tmax) * FeetPerSecondToKnots!
    waarde$ = LTrim$(Str$(AverageSpeed)) + " KTS"
    'dx = 16: dy = 417: GOSUB PlaatsTekstLinksUitlijn
End If

waarde$ = LTrim$(Str$(Distance&)) + " FT"
' dx = 425: dy = 417: GOSUB PlaatsTekstRechtsUitlijn

If k = 0 Then
    waarde$ = "BASE"
    dx = x + 1: dy = Y - 11
    GoSub PlaatsTekstCentered
End If

Line (x - 3, Y - 3)-(x + 3, Y + 3), 15, B
'
If CURHISCO <> 0 Then
    waarde$ = LTrim$(Str$(PlayerScore&(CURHISCO)))
    While Len(waarde$) < 6: waarde$ = "0" + waarde$: Wend
    dx = 425: dy = 17: GoSub PlaatsTekstRechtsUitlijn
    waarde$ = "(" + LTrim$(Str$(CURHISCO)) + ")" + " " + PlayerName$(CURHISCO): dx = 16: dy = 17: GoSub PlaatsTekstLinksUitlijn
Else


    Open "..\TXTFiles\TMPSCORE.TXT" For Input As #1
    Input #1, tempscore&
    Close #1
    waarde$ = LTrim$(Str$(tempscore&))
    While Len(waarde$) < 6: waarde$ = "0" + waarde$: Wend
    dx = 425: dy = 17: GoSub PlaatsTekstRechtsUitlijn

End If
xx1 = 220
zz1 = 220
Get (xx1 - straaltje, zz1 - straaltje)-(xx1 + straaltje, zz1 + straaltje), balparkL(0)
Get (629, 451)-(639, 457), stukje(0)

While InKey$ <> "": Wend
'
On Timer(LichtkrantPulseTijd#) GoSub pulse

Timer On

'*********************************************************** Hoofdlus ****
hl0:
_Limit OverallFramerate
Mouse 3
i$ = InKey$
'If UCase$(i$) = "R" Then GoSub ReadMe
If i$ = Chr$(9) Then GoSub swapScreen '
If i$ = Chr$(27) Then Timer Off: GoTo Systeemeinde
If i$ = "#" Then _Clipboard$ = "https://www.youtube.com/@ttware7430": System
If i$ = "-" Or i$ = "+" Then GoSub Volume
'
If b = 1 And _FileExists("..\REPLAY.MCR") And h > 10 And h < 629 And v > 439 And v < 469 Then
    If _FileExists("Replay.exe") = 0 Then
        'GoSub systeemeinde2
        While InKey$ <> "": Wend
        Timer Off
        Cls
        waarde$ = "CONTACT TTWAREHELICOPTERRESCUE@GMAIL.COM FOR MISSING FILES"
        dx = 319: dy = 230: GoSub PlaatsTekstCentered
        Circle (105, 233), 10, , .5 * pi#, 1.5 * pi#
        Circle (530, 233), 10, , 1.5 * pi#, .5 * pi#
        Line (104, 223)-(531, 223)
        Line (104, 243)-(531, 243)

        _Display
        b = 0
        While InKey$ = "" And b = 0
            _Limit OverallFramerate
            Mouse 3
        Wend
        GoSub systeemeinde2
        '
        Clear: Cls

        Chain "Menu.exe"
    End If
    GoSub systeemeinde2
    Chain "Replay.exe"
End If
'
d& = _DeviceInput
If d& = 3 Then trigger = -_Button(1)
If trigger <> 0 Then _SndPlay Click&: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekengat: dwt = 0: controller$ = "JOYSTICK": GoTo eindeFLY
If b = 1 Then x = h: Y = v: GoTo hl1
GoTo hl0
' *************************************************************************
hl1:
If x > 438 And x < 627 And Y > 402 And Y < 426 Then _SndPlay Click&: x1 = 436: y1 = 400: x2 = 629: y2 = 428: GoSub tekengat: LO = 1: Put (608, 409), LedOn(0), PSet: _Delay (.05): GoTo Systeemeinde
If x > 438 And x < 627 And Y > 364 And Y < 388 Then _SndPlay Click&: x1 = 436: y1 = 362: x2 = 629: y2 = 390: GoSub tekengat: dwt = 0: GoSub ResetFiles
If x > 438 And x < 627 And Y > 326 And Y < 350 Then _SndPlay Click&: x1 = 436: y1 = 324: x2 = 629: y2 = 352: GoSub tekengat: dwt = 0: GoSub Analysis
If x > 438 And x < 627 And Y > 288 And Y < 312 Then _SndPlay Click&: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekengat: dwt = 0: GoTo eindeFLY
If x > 438 And x < 627 And Y > 250 And Y < 274 Then _SndPlay Click&: x1 = 436: y1 = 248: x2 = 629: y2 = 276: GoSub tekengat: dwt = 0: GoSub Info
' If x > 438 And x < 627 And Y > 250 And Y < 274 Then _SndPlay Click&: x1 = 436: y1 = 248: x2 = 629: y2 = 276: GoSub tekengat: dwt = 0: GoSub ReadMe
If x > 438 And x < 627 And Y > 212 And Y < 236 Then _SndPlay Click&: x1 = 436: y1 = 210: x2 = 629: y2 = 238: GoSub tekengat: dwt = 0: GoSub ViewAchievements
If x > 438 And x < 627 And Y > 174 And Y < 198 Then _SndPlay Click&: x1 = 436: y1 = 172: x2 = 629: y2 = 200: GoSub tekengat: dwt = 0: GoSub HallOfFame
GoTo hl0

swapScreen: '
Play "v" + Pct$ + "MBl32o3a"
Open "..\TXTFiles\DISPLAYM.TXT" For Input As #11
Input #11, screen$
Close #11
If screen$ = "WINDOWED" Then screen$ = "FULLSCREEN": GoSub WriteSettings: GoTo label
If screen$ = "FULLSCREEN" Then screen$ = "WINDOWED": GoSub WriteSettings: GoTo label
label:
If full = 1 Then _FullScreen _Off: _ScreenMove _Middle: full = 0: Return
If full = 0 Then _FullScreen _SquarePixels , _Smooth: full = 1: Return
WriteSettings:
Open "..\TXTFiles\DISPLAYM.TXT" For Output As #11
Print #11, screen$
Close #11
Return





'
drawCurrentBlackbox:
Open "..\TXTFiles\BLACKBOX.TXT" For Input As #1 '                    Blackbox
If EOF(1) Then Close #1: Tmax = 0: Return '
Do While Not EOF(1)
    Input #1, N, x#, y#, z#, fuel#, ammo, heading, snelheid
    xxx#(N) = x#: yyy#(N) = y#: zzz#(N) = z#: fuel#(N) = fuel#: ammo(N) = ammo: heading(N) = heading: snelheid(N) = snelheid
    xx = 220 + 8 * x# / 100: xNader(N) = xx
    zz = 220 - 8 * z# / 100: zNader(N) = zz
    If xx < 14 Then xx = 14
    If xx > 425 Then xx = 425
    If zz < 15 Then zz = 15
    If zz > 425 Then zz = 425
    If N = 0 Then
        PSet (xx, zz), 13
    Else
        Line -(xx, zz), 13
    End If
Loop
Tmax = N
Close #1

Return

drawCurrentBB:

bbbb$ = LTrim$(Str$(CURHISCO))
If Len(bbbb$) < 2 Then bbbb$ = "0" + bbbb$
Open "..\TXTFiles\BB" + bbbb$ + ".TXT" For Input As #1 '                    Blackbox
If EOF(1) Then Close #1: Tmax = 0: Return '
Do While Not EOF(1)
    Input #1, N, x#, y#, z#, fuel#, ammo, heading, snelheid
    xxx#(N) = x#: yyy#(N) = y#: zzz#(N) = z#: fuel#(N) = fuel#: ammo(N) = ammo: heading(N) = heading: snelheid(N) = snelheid
    xx = 220 + 8 * x# / 100: xNader(N) = xx
    zz = 220 - 8 * z# / 100: zNader(N) = zz
    If xx < 14 Then xx = 14
    If xx > 425 Then xx = 425
    If zz < 15 Then zz = 15
    If zz > 425 Then zz = 425
    If N = 0 Then
        PSet (xx, zz), 13
    Else
        Line -(xx, zz), 13
    End If
Loop
Tmax = N
Close #1
Return

Open "..\TXTFiles\BLACKBOX.TXT" For Input As #1 '                    Blackbox
If EOF(1) Then Close #1: Tmax = 0: Return '
Do While Not EOF(1)
    Input #1, N, x#, y#, z#, fuel#, ammo, heading, snelheid
    xxx#(N) = x#: yyy#(N) = y#: zzz#(N) = z#: fuel#(N) = fuel#: ammo(N) = ammo: heading(N) = heading: snelheid(N) = snelheid
    xx = 220 + 8 * x# / 100: xNader(N) = xx
    zz = 220 - 8 * z# / 100: zNader(N) = zz
    If xx < 14 Then xx = 14
    If xx > 425 Then xx = 425
    If zz < 15 Then zz = 15
    If zz > 425 Then zz = 425
    If N = 0 Then
        PSet (xx, zz), 13
    Else
        Line -(xx, zz), 13
    End If
Loop
Tmax = N
Close #1
Return

Open "..\TXTFiles\BLACKBOX.TXT" For Input As #1 '                    Blackbox
Do While Not EOF(1)
    Input #1, N, x#, y#, z#, fuel#, ammo, heading, snelheid
    xxx#(N) = x#: yyy#(N) = y#: zzz#(N) = z#: fuel#(N) = fuel#: ammo(N) = ammo: heading(N) = heading: snelheid(N) = snelheid
    xx = 220 + 8 * x# / 100: xNader(N) = xx
    zz = 220 - 8 * z# / 100: zNader(N) = zz
    If xx < 14 Then xx = 14
    If xx > 425 Then xx = 425
    If zz < 15 Then zz = 15
    If zz > 425 Then zz = 425
    If N = 0 Then
        PSet (xx, zz), 13
    Else
        Line -(xx, zz), 13
    End If
Loop
Tmax = N
Close #1
Return

CalculateDistance:
Distance& = 0
For talt = 1 To Tmax
    Distance& = Distance& + _Hypot(xxx#(talt) - xxx#(talt - 1), zzz#(talt) - zzz#(talt - 1))
Next
Return

Analysis:
'
LO = 1: Put (608, 333), LedOn(0), PSet
If Tmax = 0 Then
    Timer Off
    waarde$ = "NO FLIGHT DATA": dx = 533: dy = 80: GoSub PlaatsTekstCentered
    Timer On
    While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
    While b = 0: Mouse 3: _Limit OverallFramerate: Wend
    '  _SndPlay Click&
    Timer Off
    Put (439, 14), logo(0), PSet
    x1 = 436: y1 = 324: x2 = 629: y2 = 352: GoSub tekenblok
    LO = 0: Put (608, 333), LedOff(0), PSet
    Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
    Timer On
    While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
    Return
End If



t = 0
Get (439, 92)-(626, 130), tekstachtergrond(0)

While InKey$ <> "": Wend '                  Flush keyboard
Timer Off
Line (443, 18)-(443, 86), 15 '              Grafiek
Line -(622, 86), 15
Line -(622, 18), 15
Timer On
Line (444, 18)-(621, 18), 16
Line (444, 35)-(621, 35), 16
Line (444, 52)-(621, 52), 16
Line (444, 69)-(621, 69), 16
For xg = 461 To 605 Step 18
    Line (xg, 18)-(xg, 85), 16
Next

'                                         Knoppen
x1 = 442: x2 = 482: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
x1 = 488: x2 = 530: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
x1 = 536: x2 = 577: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
x1 = 583: x2 = 623: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
Timer Off
waarde$ = "-10S": dx = 462: dy = 142: GoSub PlaatsTekstCentered
waarde$ = "-1S": dx = 509: dy = 142: GoSub PlaatsTekstCentered
waarde$ = "+1S": dx = 556: dy = 142: GoSub PlaatsTekstCentered
waarde$ = "+10S": dx = 604: dy = 142: GoSub PlaatsTekstCentered

m$ = LTrim$(Str$(t \ 60))
s$ = LTrim$(Str$(t Mod 60))
While Len(m$) < 2: m$ = "0" + m$: Wend
While Len(s$) < 2: s$ = "0" + s$: Wend
t$ = m$ + ":" + s$
yy# = yyy#(t)

Put (439, 92), tekstachtergrond(0), PSet
waarde$ = "TIME: " + t$: dx = 468: dy = 97: GoSub PlaatsTekstLinksUitlijn
Line (453, 110)-(455, 110), 13: Line (457, 110)-(459, 110), 13: Line (461, 110)-(463, 110), 13
a$ = LTrim$(Str$(Int(yy#)))
While Len(a$) < 4: a$ = "0" + a$: Wend
waarde$ = "ALT.: " + a$ + " FT": dx = 468: dy = 107: GoSub PlaatsTekstLinksUitlijn
Line (453, 120)-(455, 120), 3: Line (457, 120)-(459, 120), 3: Line (461, 120)-(463, 120), 3
a$ = LTrim$(Str$(Int(fuel#(t))))
While Len(a$) < 4: a$ = "0" + a$: Wend
waarde$ = "FUEL: " + a$ + " GL": dx = 468: dy = 117: GoSub PlaatsTekstLinksUitlijn

For talt = 0 To Tmax
    xdot = 444 + 176 * talt / Tmax
    yfueldot = 85 - 68 / 400 * fuel#(talt)
    ydot = 85 - 68 / 400 * yyy#(talt)
    If ydot < 18 Then ydot = 18
    PSet (xdot, yfueldot), 3
    PSet (xdot, ydot), 13
Next
Timer On

heuh:
xdot = 444 + 177 * t / Tmax
ydot = 85 - 68 / 400 * yyy#(t)
If xdot < 444 Then xdot = 444
If ydot < 18 Then ydot = 18
Get (xdot - 2, ydot - 2)-(xdot + 2, ydot + 2), balparkR(0)
Circle (xdot, ydot), dotstraal!, 10: Paint (xdot, ydot), 10
PSet (xdot + 1, ydot - 1), 5
xx1 = 220 + 8 * xxx#(t) / 100
zz1 = 220 - 8 * zzz#(t) / 100
If xx1 < 16 Then xx1 = 16
If xx1 > 423 Then xx1 = 423
If zz1 < 17 Then zz1 = 17
If zz1 > 423 Then zz1 = 423
Get (xx1 - straaltje, zz1 - straaltje)-(xx1 + straaltje, zz1 + straaltje), balparkL(0)
Circle (xx1, zz1), dotstraal!, 10: Paint (xx1, zz1), 10
PSet (xx1 + 1, zz1 - 1), 5
xx2 = xx1 + (straaltje - 1) * Sin(heading(t) / pf#)
zz2 = zz1 - (straaltje - 1) * Cos(heading(t) / pf#)
Line (xx1, zz1)-(xx2, zz2), 10
m$ = LTrim$(Str$(t \ 60))
s$ = LTrim$(Str$(t Mod 60))
While Len(m$) < 2: m$ = "0" + m$: Wend
While Len(s$) < 2: s$ = "0" + s$: Wend
t$ = m$ + ":" + s$
yy# = yyy#(t)
Put (439, 92), tekstachtergrond(0), PSet
Timer Off
waarde$ = "TIME: " + t$: dx = 468: dy = 97: GoSub PlaatsTekstLinksUitlijn
Line (453, 110)-(455, 110), 13: Line (457, 110)-(459, 110), 13: Line (461, 110)-(463, 110), 13
a$ = LTrim$(Str$(Int(yy#)))
While Len(a$) < 4: a$ = "0" + a$: Wend
waarde$ = "ALT.: " + a$ + " FT": dx = 468: dy = 107: GoSub PlaatsTekstLinksUitlijn
Line (453, 120)-(455, 120), 3: Line (457, 120)-(459, 120), 3: Line (461, 120)-(463, 120), 3
a$ = LTrim$(Str$(Int(fuel#(t))))
While Len(a$) < 4: a$ = "0" + a$: Wend
waarde$ = "FUEL: " + a$ + " GL": dx = 468: dy = 117: GoSub PlaatsTekstLinksUitlijn
' ****************************
Circle (596, 113), naaldlengte + 4, 15, 1.75 * pi#, 1.25 * pi#
Line (596, 113 - (naaldlengte + 1))-(596, 113 - (naaldlengte + 4)), 15
Alpha# = snelheid(t) / 38.197
Line (596, 113)-(596 + naaldlengte * Sin(Alpha#), 113 - naaldlengte * Cos(Alpha#)), 10
waarde$ = "V": dx = 593: dy = 117: GoSub PlaatsTekstLinksUitlijn
'********************************
Timer On

Do
    _Limit OverallFramerate
    If InKey$ = Chr$(27) Then MouseRelease = 0: GoTo label2 '                exit
    Mouse 3
    Select Case b
        Case 0
            MouseRelease = 1
        Case 1
            'SndPlay
            If MouseRelease = 1 Then
                If h > 438 And v > 160 Then
                    'MouseRelease = 0
                    GoTo label2 '                exit
                End If
            End If
            If MouseRelease = 1 Then
                'MouseRelease = 0
                GoSub CheckButtonsAndScreen
                GoTo label2
            End If
    End Select
Loop

label2:
If MinibuttonChoice <> 0 Then

    Select Case MinibuttonChoice
        Case 2
            If t <= 0 Then

                Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
                Put (xdot - 2, ydot - 2), balparkR(0), PSet

                GoSub tekenNP

            Else
                Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
                Put (xdot - 2, ydot - 2), balparkR(0), PSet
                t = t - 1
                GoSub tekenNP
            End If
        Case 3
            If t >= Tmax Then

                Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
                Put (xdot - 2, ydot - 2), balparkR(0), PSet

                GoSub tekenNP
            Else
                Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
                Put (xdot - 2, ydot - 2), balparkR(0), PSet
                t = t + 1
                GoSub tekenNP
            End If
    End Select
End If

label21:
Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
Put (xdot - 2, ydot - 2), balparkR(0), PSet
While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
MouseRelease = 0
Put (439, 14), logo(0), PSet
x1 = 436: y1 = 324: x2 = 629: y2 = 352: GoSub tekenblok
LO = 0: Put (608, 333), LedOff(0), PSet
Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
While InKey$ <> "": Wend '                  Flush keyboard
Return

'



CheckButtonsAndScreen:
MinibuttonChoice = 0
If h > 442 And h < 482 And v > 134 And v < 156 Then '-10
    x1 = 442: x2 = 482: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 15, B
    _SndPlay Click&
    While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
    MinibuttonChoice = 1
    '_SndPlay Click&
    t = t - 10
    If t < 0 Then t = 0
    x1 = 442: x2 = 482: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
End If
If h > 488 And h < 530 And v > 134 And v < 156 Then '- 1
    x1 = 488: x2 = 530: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 15, B
    _SndPlay Click&
    While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
    MinibuttonChoice = 2
    '_SndPlay Click&
    t = t - 1
    If t < 0 Then t = 0
    x1 = 488: x2 = 530: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
End If
If h > 536 And h < 577 And v > 134 And v < 156 Then '+ 1
    x1 = 536: x2 = 577: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 15, B
    _SndPlay Click&
    While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
    MinibuttonChoice = 3
    '_SndPlay Click&
    t = t + 1
    If t > Tmax Then t = Tmax
    x1 = 536: x2 = 577: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
End If
If h > 583 And h < 623 And v > 134 And v < 156 Then '+ 10
    x1 = 583: x2 = 623: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 15, B
    _SndPlay Click&
    While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
    MinibuttonChoice = 4
    '_SndPlay Click&
    t = t + 10
    If t > Tmax Then t = Tmax
    x1 = 583: x2 = 623: y1 = 134: y2 = 156: Line (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 16, B
End If
If h > 443 And h < 622 And v > 18 And v < 86 Then 'In Grafiek
    t = Int(((h - 444) / 177) * Tmax)
    If t < 0 Then t = 0
    If t > Tmax Then t = Tmax
End If

If h > 12 And h < 428 And v > 12 And v < 428 Then ' Op kaart
    record# = 1000
    For tNieuw = 0 To Tmax
        Nieuw# = _Hypot(h - xNader(tNieuw), v - zNader(tNieuw))
        If Nieuw# < record# Then t = tNieuw: record# = Nieuw#
    Next
    If t < 0 Then t = 0
    If t > Tmax Then t = Tmax
End If
Timer Off
Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
Put (xdot - 2, ydot - 2), balparkR(0), PSet
Timer On

Return heuh

tekenNP:
xdot = 444 + 177 * t / Tmax
ydot = 85 - 68 / 400 * yyy#(t)
If ydot < 18 Then ydot = 18
Get (xdot - 2, ydot - 2)-(xdot + 2, ydot + 2), balparkR(0)
Circle (xdot, ydot), dotstraal!, 10: Paint (xdot, ydot), 10
PSet (xdot + 1, ydot - 1), 5
xx1 = 220 + 8 * xxx#(t) / 100
zz1 = 220 - 8 * zzz#(t) / 100
If xx1 < 16 Then xx1 = 16
If xx1 > 423 Then xx1 = 423
If zz1 < 17 Then zz1 = 17
If zz1 > 423 Then zz1 = 423
Get (xx1 - straaltje, zz1 - straaltje)-(xx1 + straaltje, zz1 + straaltje), balparkL(0)
Circle (xx1, zz1), dotstraal!, 10: Paint (xx1, zz1), 10
PSet (xx1 + 1, zz1 - 1), 5
Return

Info:
Timer Off
While InKey$ <> "": Wend '                  Flush keyboard
'
LO = 1: Put (608, 257), LedHalf(0), PSet

'

x1 = 25: y1 = 35: x2 = 415: y2 = 419
Get (x1 - 3, y1 - 3)-(x2 + 3, y2 + 3), Bigger&(0)


x1 = 65: x2 = 375: y1 = 103: y2 = 335
GoSub tekenblok

Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF
x1 = 70: x2 = 370: y1 = 108: y2 = 330
GoSub tekengat
Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF



'
dx = 221: dy = 120: waarde$ = "SCORE TABLE": GoSub PlaatsTekstCentered
dx = 221: dy = 136: waarde$ = "------------------------------------------": GoSub PlaatsTekstCentered
dx = 110: dy = 156: waarde$ = "RESCUES            1,000 PTS": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 166: waarde$ = "             BONUS 5,000 PTS / ALL": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 186: waarde$ = "                     100 PTS": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 196: waarde$ = "ENEMIES              150 PTS": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 206: waarde$ = "                     ... PTS": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 226: waarde$ = "OBJECTS                5 PTS": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 236: waarde$ = "             BONUS   100 PTS / 25%": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 246: waarde$ = "             BONUS   500 PTS / ALL": GoSub PlaatsTekstLinksUitlijn
dx = 110: dy = 266: waarde$ = "TIME BONUS            10 PTS / SEC": GoSub PlaatsTekstLinksUitlijn
dx = 221: dy = 294: waarde$ = "------------------------------------------": GoSub PlaatsTekstCentered
dx = 221: dy = 311: waarde$ = "PRESS BUTTON": GoSub PlaatsTekstCentered
Put (236, 188), Accolade(0), PSet
'
Put (357, 324), Page1(0), PSet


















MouseRelease = 0
Timer On
Do
    _Limit OverallFramerate
    Mouse 3
    If InKey$ <> "" GoTo label3
    Select Case b
        Case 0
            MouseRelease = 1
        Case 1
            If MouseRelease = 1 Then
                MouseRelease = 0
                GoTo label3 '                exit
            End If
    End Select
Loop
label3:
_SndPlay Click&
helptekst:
'
LO = 1: Put (608, 257), LedOn(0), PSet
'
Timer Off
x1 = 25: y1 = 32: x2 = 415: y2 = 416: GoSub tekenblok
Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF

x1 = 30: y1 = 37: x2 = 410: y2 = 411
Line (x1, y1)-(x2, y2), 0, BF
GoSub tekengat

'afmetingen background: (213,113)-(586,481)  ----> 374 x 369
dx = 221: dy = 46
waarde$ = "IN-GAME KEYS / CONTROL"
GoSub PlaatsTekstCentered
dx = 221: dy = 58
waarde$ = "-----------------------------------------------------"
GoSub PlaatsTekstCentered
dx = 221: dy = 78
waarde$ = "MOUSE CONTROLS"
GoSub PlaatsTekstCentered
dx = 221: dy = 98
waarde$ = "       LEFT BUTTON .......... COLLECTIVE UP          "
GoSub PlaatsTekstCentered
dx = 221: dy = 108
waarde$ = "       RIGHT BUTTON ......... COLLECTIVE DOWN        "
GoSub PlaatsTekstCentered
dx = 221: dy = 118
waarde$ = "       MOUSE MOVEMENT ....... CYCLIC                 "
GoSub PlaatsTekstCentered
dx = 221: dy = 138
waarde$ = "KEYBOARD"
GoSub PlaatsTekstCentered
dx = 221: dy = 158
waarde$ = "       \A\ .................. COLLECTIVE UP          "
GoSub PlaatsTekstCentered
dx = 221: dy = 168
waarde$ = "       \Z\ .................. COLLECTIVE DOWN        "
GoSub PlaatsTekstCentered
dx = 221: dy = 178
waarde$ = "       ARROW KEYS ........... CYCLIC                 "
GoSub PlaatsTekstCentered
dx = 221: dy = 188
waarde$ = "       SPACEBAR ............. FIRE CANNON            "
GoSub PlaatsTekstCentered
dx = 221: dy = 198
waarde$ = "       \H\ .................. HELP                   "
GoSub PlaatsTekstCentered
dx = 221: dy = 208
waarde$ = "       \M\ .................. SHOW MAP               "
GoSub PlaatsTekstCentered
dx = 221: dy = 218
waarde$ = "       \.\ .................. NEXT WAYPOINT          "
GoSub PlaatsTekstCentered
dx = 221: dy = 228
waarde$ = "       \,\ .................. PREVIOUS WAYPOINT      "
GoSub PlaatsTekstCentered
dx = 221: dy = 238
waarde$ = "       \T\ .................. VIEW RESCUE TASKS      "
GoSub PlaatsTekstCentered
dx = 221: dy = 248
waarde$ = "       \S\ .................. VIEW SUPPLIES          "
GoSub PlaatsTekstCentered
dx = 221: dy = 258
waarde$ = "       \O\ .................. VIEW OBJECTS REMAINING "
GoSub PlaatsTekstCentered
dx = 221: dy = 268
waarde$ = "       \G\ .................. HIDE/SHOW GPS          "
GoSub PlaatsTekstCentered
dx = 221: dy = 278
waarde$ = "       \Q\ .................. HIDE/SHOW CURSOR       "
GoSub PlaatsTekstCentered
dx = 221: dy = 288
waarde$ = "       \B\ .................. HIDE/SHOW ROTOR BLADES "
GoSub PlaatsTekstCentered
dx = 221: dy = 298
waarde$ = "       TAB .................. TOGGLE FULLSCREEN      "
GoSub PlaatsTekstCentered
dx = 221: dy = 308
waarde$ = "       \C\ .................. TOGGLE CONTROL TYPE    "
GoSub PlaatsTekstCentered
dx = 221: dy = 318
waarde$ = "       \I\ .................. INVERT CONTROLS        "
GoSub PlaatsTekstCentered
dx = 221: dy = 328
waarde$ = "       \P\ .................. PAUSE GAME             "
GoSub PlaatsTekstCentered
dx = 221: dy = 338
waarde$ = "       ESC .................. ABORT GAME             "
GoSub PlaatsTekstCentered
dx = 358: dy = 371
waarde$ = "V1.6.21"
GoSub PlaatsTekstLinksUitlijn
dx = 221: dy = 378
waarde$ = "-----------------------------------------------------"
GoSub PlaatsTekstCentered
dx = 221: dy = 393
waarde$ = "PRESS BUTTON TO RETURN"
GoSub PlaatsTekstCentered
'
Put (397, 405), Page2(0), PSet






















Timer On
While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
While b = 0 And InKey$ = "": Mouse 3: _Limit OverallFramerate: Wend
Timer Off
Put (22, 32), Bigger&(0), PSet
x1 = 436: y1 = 248: x2 = 629: y2 = 276: GoSub tekenblok
LO = 0: Put (608, 257), LedOff(0), PSet
While InKey$ <> "": Wend
MouseRelease = 0
Timer On
While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
Return

ViewAchievements:
'
vv = 1
Timer Off
LO = 1: Put (608, 219), LedOn(0), PSet
waarde$ = "ACHIEVEMENTS"
dx = 440: dy = 221: GoSub PlaatsZwartOpGrijs
_Display
_Delay (.1)
Get (439, 14)-(626, 159), Big&(0)
'
If aantallocked(locknr) = 7 Then
    waarde$ = "INSUFFICIENT INTEL": dx = 533: dy = 80: GoSub PlaatsTekstCentered
    Timer On
    While b = 1: Mouse 3: _Limit OverallFramerate: _Display: Wend '       Flush Mouse
    While b <> 1 And InKey$ <> Chr$(27): Mouse 3: _Limit OverallFramerate: _Display: Wend
    GoTo BackFurtherlabel
End If

For k = 7 To 1 Step -1
    If LLock(locknr, k) = 0 Then Enemynummer(locknr) = k
Next


BackBack: '
Select Case Enemynummer(locknr)

    Case 1 '                                                Truck
        schaaly# = 2 * .625
        schaalx# = 2
        xc0# = 10: yc0# = 1: zc0# = 0 'in :xc0#,yc0#,zc0#   Midden tafereel
        xc5# = 10: yc5# = 2: zc5# = -1 '    xc5#,yc5#,zc5#   Oog
        xb# = 10: yb# = 2: zb# = 10 '                       roteercentrum

    Case 2 '                                                Sportscar
        schaaly# = 3 * .625
        schaalx# = 3
        xc0# = 10: yc0# = 1: zc0# = 1 'in :xc0#,yc0#,zc0#   Midden tafereel
        xc5# = 10: yc5# = 1: zc5# = 0 '    xc5#,yc5#,zc5#   Oog
        xb# = 10: yb# = 2: zb# = 10 '                       roteercentrum

    Case 3 '                                                Jeep
        schaaly# = 3 * .625
        schaalx# = 3
        xc0# = 10: yc0# = 1: zc0# = 1 'in :xc0#,yc0#,zc0#   Midden tafereel
        xc5# = 10: yc5# = 1: zc5# = 0 '    xc5#,yc5#,zc5#   Oog
        xb# = 10: yb# = 2: zb# = 10 '                       roteercentrum

    Case 4 '                                                Tank
        schaaly# = 2 * .625
        schaalx# = 2
        xc0# = 10: yc0# = 1: zc0# = 1 'in :xc0#,yc0#,zc0#   Midden tafereel
        xc5# = 10: yc5# = 2: zc5# = 0 '    xc5#,yc5#,zc5#   Oog
        xb# = 10: yb# = 2: zb# = 10 '                       roteercentrum

    Case 5 '                                                Tree
        schaaly# = 3 * .625
        schaalx# = 3
        xc0# = 10: yc0# = 1: zc0# = -6 'in :xc0#,yc0#,zc0#   Midden tafereel
        xc5# = 10: yc5# = 2: zc5# = -7 '    xc5#,yc5#,zc5#   Oog
        xb# = 10: yb# = 2: zb# = 10 '                         roteercentrum

    Case 6 '                                                Shed
        schaaly# = 3 * .625
        schaalx# = 3
        xc0# = 10: yc0# = 1: zc0# = -10 'in :xc0#,yc0#,zc0#   Midden tafereel
        xc5# = 10: yc5# = 2: zc5# = -11 '    xc5#,yc5#,zc5#   Oog
        xb# = 10: yb# = 2: zb# = 10 '                         roteercentrum

    Case 7 '                                                Heap
        schaaly# = 2 * .625
        schaalx# = 2
        xc0# = 10: yc0# = 1: zc0# = -6 'in :xc0#,yc0#,zc0#   Midden tafereel
        xc5# = 10: yc5# = 2: zc5# = -7 '    xc5#,yc5#,zc5#   Oog
        xb# = 10: yb# = 2: zb# = 10 '                         roteercentrum

End Select



'
Bestand$ = "..\ITMFiles\ENEMY" + "0" + LTrim$(Str$(Enemynummer(locknr))) + ".ITM"

If Enemynummer(locknr) = 5 Then Bestand$ = "..\ITMFiles\OBJECT01.ITM"
If Enemynummer(locknr) = 6 Then Bestand$ = "..\ITMFiles\OBJECT02.ITM"
If Enemynummer(locknr) = 7 Then Bestand$ = "..\ITMFiles\OBJECT03.ITM"

GoSub LoadEnemy

hs# = pi# '
For Vlak = 0 To Vlakken - 1
    For pn = 1 To 4
        xa# = x#(Vlak, pn): ya# = y#(Vlak, pn): za# = z#(Vlak, pn)
        GoSub draaiy
        x#(Vlak, pn) = xa#: y#(Vlak, pn) = ya#: z#(Vlak, pn) = za#
    Next
Next

Timer On
Backlabel:
_Limit OverallFramerate / 2
Put (439, 14), Big&(0), PSet 'Achtergronheli

If LLock(locknr, Enemynummer(locknr)) = 0 Then GoSub TekenVijand '


If InKey$ = Chr$(27) GoTo BackFurtherlabel
Timer Off
Select Case Enemynummer(locknr)
    Case 1 And LLock(locknr, 1) = 0
        waarde$ = "SUPPLY TRUCK": dx = 533: dy = 135: GoSub PlaatsTekstCentered
        Get (487, 72)-(517 + 91, 72 + 12), DontShoottextBackground(0)
        Put (487, 72), DontShoottextMask(0), And
        Put (487, 72), DontShoottext(0), Xor
    Case 2 And LLock(locknr, 2) = 0
        waarde$ = "SPORTSCAR DRONE": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 3 And LLock(locknr, 3) = 0
        waarde$ = "JEEP DRONE": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 4 And LLock(locknr, 4) = 0
        waarde$ = "TANK DRONE": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 5 And LLock(locknr, 5) = 0
        waarde$ = "DEAD TREES": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 6 And LLock(locknr, 6) = 0
        waarde$ = "SHEDS": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 7 And LLock(locknr, 7) = 0
        waarde$ = "HEAPS": dx = 533: dy = 135: GoSub PlaatsTekstCentered





End Select
Timer On
_Display
While b = 1: Mouse 3: _Limit OverallFramerate: _Display: Wend '       Flush Mouse
Mouse 3
If b = 1 GoTo Verderlabel '
'   IF b = 1 THEN _SndPlay Click&: GOTO Verderlabel '
hs# = pi# / 128
'

For Vlak = 0 To Vlakken - 1
    For pn = 1 To 4
        xa# = x#(Vlak, pn): ya# = y#(Vlak, pn): za# = z#(Vlak, pn)
        GoSub draaiy
        x#(Vlak, pn) = xa#: y#(Vlak, pn) = ya#: z#(Vlak, pn) = za#
    Next
Next
Line (439, 14)-(626, 159), 0, BF
GoTo Backlabel

Verderlabel:
'
If h >= 439 And h <= 626 And v >= 14 And v <= 159 Then _SndPlay Click& '
While b <> 0: Mouse 3: _Limit OverallFramerate: _Display: Wend '       Flush Mouse
If h >= 439 And h <= 626 And v >= 14 And v <= 159 Then

    '    Aantalvrij     (=2)
    tjap:
    Enemynummer(locknr) = Enemynummer(locknr) + 1
    If Enemynummer(locknr) = 8 Then Enemynummer(locknr) = 1
    If LLock(locknr, Enemynummer(locknr)) = 1 GoTo tjap

    GoTo BackBack
End If

BackFurtherlabel:

_AutoDisplay
Put (439, 14), Big&(0), PSet
x1 = 436: y1 = 210: x2 = 629: y2 = 238: GoSub tekenblok
LO = 0: Put (608, 219), LedOff(0), PSet
_Delay .1
_AutoDisplay
While InKey$ <> "": Wend
While b <> 0: Mouse 3: _Limit OverallFramerate: _Display: Wend '       Flush Mouse
vv = 0
Return

ResetFiles:
_AutoDisplay
Timer Off
LO = 1: Put (608, 371), LedOn(0), PSet
waarde$ = "RESET FILES"
dx = 440: dy = 373: GoSub PlaatsZwartOpGrijs
_Delay (.1)

GoSub systeemeinde2

Chain "Reset.exe"


waarde$ = "SELECT SCENERY"
dx = 533: dy = 20: GoSub PlaatsTekstCentered
waarde$ = "-------------------------"
dx = 533: dy = 30: GoSub PlaatsTekstCentered
For N = 1 To MaxScenes
    nummer$ = Right$(Str$(N), Len(Str$(N)) - 1)
    While Len(nummer$) < 2: nummer$ = "0" + nummer$: Wend
    vergelijk$ = "SCENE" + nummer$ + ".ITM"
    If _FileExists("..\ITMFiles\" + vergelijk$) = -1 Then
        waarde$ = vergelijk$ + " " + tiles$(N) + " TILES": dx = 535: dy = 40 + (N - 1) * 10
        GoSub PlaatsTekstCentered
    End If
Next
waarde$ = "-------------------------"
dx = 533: dy = 140: GoSub PlaatsTekstCentered
Timer On
While b <> 0: Mouse 3: _Limit OverallFramerate: Wend '       Flush Mouse
Do
    _Limit OverallFramerate
    If InKey$ = Chr$(27) GoTo hulp5 '          exit
    Mouse 3
    Select Case b
        Case 0
            MouseRelease = 1
        Case 1
            If MouseRelease = 1 Then

                If h < 439 Or h > 626 Or v < 37 Or v > 135 Then
                    MouseRelease = 0
                    GoTo hulp5 '                exit
                End If
            End If
            If MouseRelease = 1 Then
                MouseRelease = 0
                nummer$ = Right$(Str$(AspirantNr), Len(Str$(AspirantNr)) - 1)
                If Len(nummer$) < 2 Then nummer$ = "0" + nummer$
                vergelijk$ = "SCENE" + nummer$ + ".ITM"
                CurrentITM$ = vergelijk$
                GoTo hulp4
            End If
    End Select
    AspirantNr = (v - 16) \ 10 - 1
Loop
hulp4:
GoSub Glow1
If _FileExists("..\ITMFiles\" + CurrentITM$) = 0 GoTo hulp5
Open "..\TXTFiles\CURRENT.TXT" For Output As #5
Print #5, CurrentITM$
Close #5
Open "..\TXTFiles\BLACKBOX.TXT" For Output As #1
Close #1
For t = 0 To maxseconds
    xxx#(t) = 0: yyy#(t) = 0: zzz#(t) = 0: fuel#(t) = 0: ammo(t) = 0
Next
t = 0
_Delay .1
Put (xx1 - straaltje, zz1 - straaltje), balparkL(0), PSet
Return hulp6
hulp5:
Put (439, 14), logo(0), PSet
While b <> 0: Mouse 3: _Limit OverallFramerate: Wend
x1 = 436: y1 = 210: x2 = 629: y2 = 238: GoSub tekenblok
LO = 0: Put (608, 219), LedOff(0), PSet
Return

PlaatsTekstCentered:
'
If Left$(waarde$, 1) = " " Then waarde$ = Right$(waarde$, Len(waarde$) - 1)
If waarde$ = "" Then waarde$ = "TEXT ERROR"
ddx = dx - Len(waarde$) * 3.5
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (ddx + (strp - 1) * 7, dy), v(nch * grootte), Or
Next
waarde$ = ""
Return

PlaatsTekstRechtsUitlijn:
waarde$ = LTrim$(waarde$)
If waarde$ = "" Then waarde$ = "TEXT ERROR"
ddx = dx - Len(waarde$) * 7
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (ddx + (strp - 1) * 7, dy), v(nch * grootte), Or
Next
waarde$ = ""
Return

PlaatsZwartOpGrijs:
If Left$(waarde$, 1) = " " Then waarde$ = Right$(waarde$, Len(waarde$) - 1)
If waarde$ = "" Then waarde$ = "TEXT ERROR"
ddx = dx
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (ddx + strp * 7, dy), w(nch * grootte), PSet
Next
waarde$ = ""
Return

PlaatsZwartOpGrijsCentered:
If Left$(waarde$, 1) = " " Then waarde$ = Right$(waarde$, Len(waarde$) - 1)
If waarde$ = "" Then waarde$ = "TEXT ERROR"
ddx = dx - Len(waarde$) * 3.5
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (ddx + (strp - 1) * 7, dy), w(nch * grootte), PSet
Next
waarde$ = ""
Return



tekenblok:
Line (x1, y1)-(x2 - 1, y1), 4
Line (x2, y1)-(x2, y2 - 1), 4
Line (x2, y2)-(x1 + 1, y2), 2
Line (x1, y2)-(x1, y1 + 1), 2
Return

tekengat:
Line (x1, y1)-(x2 - 1, y1), 2
Line (x2, y1)-(x2, y2 - 1), 2
Line (x2, y2)-(x1 + 1, y2), 4
Line (x1, y2)-(x1, y1 + 1), 4
Return

pulse: '
memoryprotection& = memoryprotection& + 1
If memoryprotection& >= MPSeconds& / LichtkrantPulseTijd# Then Chain "Menu.exe" '
If stp1st = 1 Then Put (629, 451), stukjepark(0), PSet
dx = 633 - onetoseventeller
dy = 451
If stp1st = 0 Then waardeLK$ = " ": dx = 628
GoSub PlaatsTekstLinksUitlijnLichtkrant
stp1st = 1
onetoseventeller = onetoseventeller + 1
If onetoseventeller = 7 Then
    onetoseventeller = 0
    pointer = pointer + 1
    If pointer = 2 Then dwt = 0
    If pointer > Len(totaal$) Then

        pointer = 1
        totaalkeerlichtkrant = totaalkeerlichtkrant + 1
        dwt = 1
        '
        If totaalkeerlichtkrant = 9 Then Chain "MENU.EXE"

    End If
    '
    If dwt = 1 And LO = 0 Then dwt = 0
    waardeLK$ = Mid$(totaal$, pointer, 1)
End If
Get (12, 451)-(639, 457), t(0)
Put (11, 451), t(0), PSet
Get (629, 451)-(639, 457), stukjepark(0)
Put (629, 451), stukje(0), PSet
If vv = 0 Then _Display '
If waardeLK$ = "^" Then waardeLK$ = " ": GoSub lichtkrantpause

Return

lichtkrantpause:
Put (439, 14), Big&(0), PSet 'Achtergronheli

If LLock(locknr, Enemynummer(locknr)) = 0 Then GoSub TekenVijand '





Timer Off
Select Case Enemynummer(locknr)
    Case 1
        waarde$ = "SUPPLY TRUCK": dx = 533: dy = 135: GoSub PlaatsTekstCentered
        Get (517, 61)-(517 + 31, 61 + 31), DontShootBackground(0)
        Put (517, 61), DontShootMask(0), And
        Put (517, 61), DontShoot(0), Xor
    Case 2
        waarde$ = "SPORTSCAR DRONE": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 3
        waarde$ = "JEEP DRONE": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 4
        waarde$ = "TANK DRONE": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 5
        waarde$ = "DEAD TREES": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 6
        waarde$ = "SHEDS": dx = 533: dy = 135: GoSub PlaatsTekstCentered
    Case 7
        waarde$ = "HEAPS": dx = 533: dy = 135: GoSub PlaatsTekstCentered

End Select
Timer On

For Flash = 1 To NumberOfFlashes
    For witwaarde = 63 To 0 Step -2
        _Limit OverallFramerate * 2
        Palette 33, 65536 * witwaarde + 256 * witwaarde + witwaarde
        _Display
    Next
    For witwaarde = 0 To 63 Step 2
        _Limit OverallFramerate * 2
        Palette 33, 65536 * witwaarde + 256 * witwaarde + witwaarde
        _Display
    Next
Next
Return


PlaatsTekstLinksUitlijnLichtkrant:
For strp = 1 To Len(waardeLK$)
    nch = Asc(Mid$(waardeLK$, strp, 1))
    Put (dx + (strp - 1) * 7, dy), vglow(nch * grootte), _Clip PSet
Next
Return

loaditm:
Bestand$ = CurrentITM$
Open "..\ITMFiles\" + Bestand$ For Input As #2
Input #2, a$
Input #2, k
For vn = 0 To k - 1
    For pn = 0 To 4 '                                  pn=0  -->  zwaartepunt
        Input #2, x#(vn, pn), y#(vn, pn), z#(vn, pn) ' 1-4   -->  hoekpunten
    Next
    Input #2, kleur(vn)
Next
Input #2, a$
Close #2
'

Return

LoadEnemy: '

GoTo verder1
Screen 0: _AutoDisplay
Locate 1, 1: Print Bestand$
Locate 2, 1: Print locknr
Locate 3, 1: Print Enemynummer(locknr)
While InKey$ = "": Wend
_Clipboard$ = "https://www.youtube.com/@ttware7430"
System
verder1:


_AutoDisplay
Open Bestand$ For Input As #2
Input #2, a$
Input #2, Vlakken
For vn = 0 To Vlakken - 1
    For pn = 0 To 4 '                                  pn=0  -->  zwaartepunt
        Input #2, x#(vn, pn), y#(vn, pn), z#(vn, pn) ' 1-4   -->  hoekpunten
        '
        If Enemynummer(locknr) >= 5 Then
            x#(vn, pn) = x#(vn, pn) + 10 'offset
            z#(vn, pn) = z#(vn, pn) + 10
        End If
    Next
    Input #2, kleur(vn)
Next
Input #2, a$
Close #2
Return

DrawITMMap:
Timer Off
For vn = 0 To k - 1
    pn = 1
    PSet (216 + (16 / 50) * x#(vn, pn), 224 - (16 / 50) * z#(vn, pn)), 5
    For pn = 2 To 4
        Line -(216 + (16 / 50) * x#(vn, pn), 224 - (16 / 50) * z#(vn, pn)), 5
    Next
Next
Timer On
Return

'
graphics:
Restore set2 ' !@#!@#                         Character set (2 of 2)
dych = 0
For nch = 32 To 38
    dxch = (nch - 32) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, dych + ych), 15: PSet (dxch + xch, dych + ych + 451), 33
        Next
    Next
    Get (dxch, dych)-(dxch + 5, dych + 6), v(nch * grootte)
    Get (dxch, 451)-(dxch + 6, 457), vglow(nch * grootte)
Next
For nch = 40 To 43
    dxch = (nch - 32) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, dych + ych), 15: PSet (dxch + xch, dych + ych + 451), 33
        Next
    Next
    Get (dxch, dych)-(dxch + 5, dych + 6), v(nch * grootte)
    Get (dxch, 451)-(dxch + 6, 457), vglow(nch * grootte)
Next
For nch = 44 To 58
    dxch = (nch - 32) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 15: PSet (dxch + xch, dych + ych + 451), 33
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), v(nch * grootte)
    Get (dxch, 451)-(dxch + 6, 457), vglow(nch * grootte)
Next
For nch = 62 To 92
    dxch = (nch - 32) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 15: PSet (dxch + xch, dych + ych + 451), 33
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), v(nch * grootte)
    Get (dxch, 451)-(dxch + 6, 457), vglow(nch * grootte)
Next
Cls
Line (0, 0)-(639, 19), 3, BF
Restore Set1 '                          Character set (1 of 2)
nch = 32
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
nch = 37
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
nch = 38
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
For nch = 40 To 41
    dxch = (nch - 32) * 6
    dych = 10
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
        Next
    Next
    Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
Next
nch = 43
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
For nch = 45 To 58
    dxch = (nch - 45) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 0
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), w(nch * grootte)
Next
' 63 was 64
For nch = 63 To 92
    dxch = (nch - 45) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 0
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), w(nch * grootte)
Next
Cls
Palette 15, 65536 * 0 + 256 * 63 + 0 'hoofdkleur
Return

HallOfFame:
Timer Off

While InKey$ <> "": Wend
LO = 1: Put (608, 181), LedOn(0), PSet '

Get (20, 60)-(421, 371), Big&(0)
x1 = 25: y1 = 65: x2 = 415: y2 = 366
Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok

x1 = 30: y1 = 70: x2 = 410: y2 = 361
Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF: GoSub tekengat

dx = 222: dy = 83: waarde$ = "--- HALL OF FAME ---": GoSub PlaatsTekstCentered
dx = 222: dy = 100: waarde$ = "-----------------------------------------------------": GoSub PlaatsTekstCentered
dx = 222: dy = 110: waarde$ = "        PILOT:        SCORE:  LEVEL:   FUEL:   TIME: ": GoSub PlaatsTekstCentered '
dx = 222: dy = 120: waarde$ = "-----------------------------------------------------": GoSub PlaatsTekstCentered
For position = 1 To 10
    dy = 130 + (position - 1) * 20
    dx = 50: waarde$ = LTrim$(Str$(position)): GoSub PlaatsTekstCentered
    dx = 72: waarde$ = PlayerName$(position): GoSub PlaatsTekstLinksUitlijn
    waarde$ = LTrim$(Str$(PlayerScore&(position)))
    While Len(waarde$) < 6: waarde$ = "0" + waarde$: Wend
    dx = 186: GoSub PlaatsTekstLinksUitlijn
    dx = 262: waarde$ = LTrim$(Str$(PlayerLevel(position))): GoSub PlaatsTekstCentered
    dx = 322: waarde$ = LTrim$(Str$(Int(FuelTotal#(position)))): GoSub PlaatsTekstCentered
    dx = 360: waarde$ = PS$(position): GoSub PlaatsTekstLinksUitlijn
Next
dx = 222: dy = 320: waarde$ = "-----------------------------------------------------": GoSub PlaatsTekstCentered

dx = 222: dy = 339: waarde$ = "PRESS BUTTON TO RETURN": GoSub PlaatsTekstCentered

Timer On
While b <> 0: Mouse 3: _Limit OverallFramerate: Wend
While b = 0
    Mouse 3
    If b <> 0 GoTo hulp
    If InKey$ = Chr$(27) GoTo huulp
    _Limit OverallFramerate
Wend
hulp:
positie = 0
'
If h >= 30 And h <= 410 And v >= 124 And v <= 143 Then _SndPlay Click&: positie = 1: GoSub glow
If h >= 30 And h <= 410 And v >= 144 And v <= 163 Then _SndPlay Click&: positie = 2: GoSub glow
If h >= 30 And h <= 410 And v >= 164 And v <= 183 Then _SndPlay Click&: positie = 3: GoSub glow
If h >= 30 And h <= 410 And v >= 184 And v <= 203 Then _SndPlay Click&: positie = 4: GoSub glow
If h >= 30 And h <= 410 And v >= 204 And v <= 223 Then _SndPlay Click&: positie = 5: GoSub glow
If h >= 30 And h <= 410 And v >= 224 And v <= 243 Then _SndPlay Click&: positie = 6: GoSub glow
If h >= 30 And h <= 410 And v >= 244 And v <= 263 Then _SndPlay Click&: positie = 7: GoSub glow
If h >= 30 And h <= 410 And v >= 264 And v <= 283 Then _SndPlay Click&: positie = 8: GoSub glow
If h >= 30 And h <= 410 And v >= 284 And v <= 303 Then _SndPlay Click&: positie = 9: GoSub glow
If h >= 30 And h <= 410 And v >= 304 And v <= 323 Then _SndPlay Click&: positie = 10: GoSub glow
If positie = 0 Then huuulp = 1: GoTo huulp
If positie <> 0 Then
    CURHISCO = positie

    Open "..\TXTFiles\CURHISCO.TXT" For Output As #19
    Print #19, CURHISCO
    Close #19

    a1$ = LTrim$(Str$(positie))
    If Len(a1$) < 2 Then a1$ = "0" + a1$
    '
    Open "..\TXTFiles\BB" + a1$ + ".TXT" For Input As #9 'copy BB**.TXT naar Blackbox.TXT
    Open "..\TXTFiles\BLACKBOX.TXT" For Output As #8
    While Not EOF(9)
        Input #9, N, x#, y#, z#, fuel#, ammo, heading, snelheid
        Print #8, N, x#, y#, z#, fuel#, ammo, heading, snelheid
    Wend
    Close #8
    Close #9
End If

huulp:
Put (20, 60), Big&(0), PSet
x1 = 436: y1 = 172: x2 = 629: y2 = 200: GoSub tekenblok
LO = 0: Put (608, 181), LedOff(0), PSet
While b <> 0: Mouse 3: _Limit OverallFramerate: Wend
If huuulp = 1 Then huuulp = 0: Return hl0
Return hulp6

glow:
helderheid = 0
Palette 32, 0
yglow = 127 + 20 * (positie - 1)
Line (35, yglow)-(405, yglow + 12), 32, B
Do While helderheid <= 60
    _Limit OverallFramerate
    Palette 32, 256 * helderheid
    helderheid = helderheid + 3
Loop
helderheid = 63
Palette 32, 256 * 63
Return

Glow1:
helderheid = 31
Palette 32, 256 * helderheid
yglow = 8 + 10 * (AspirantNr - 1) '
Line (342, 8 + 10 * AspirantNr)-(525, 18 + 10 * AspirantNr), 32, B
Do While helderheid <= 60
    _Limit 2 * OverallFramerate
    Palette 32, 256 * helderheid
    helderheid = helderheid + 3
Loop
helderheid = 63
Palette 32, 256 * 63
Return

PlaatsTekstLinksUitlijn:
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (dx + (strp - 1) * 7, dy), v(nch * grootte), _Clip Or
Next
Return

TekenVijand:
For Vlak = 0 To Vlakken - 1
    jn0 = 0: jn1 = 0: jn2 = 0: jn3 = 0: jn4 = 0
    xp# = x#(Vlak, 0): yp# = y#(Vlak, 0): zp# = z#(Vlak, 0): GoSub BepaalBeeld
    gridcolor = 163 - Int((Sqr((xc0# - xp#) ^ 2 + (yc0# - yp#) ^ 2 + (zc0# - zp#) ^ 2)) / 1)
    If gridcolor < 100 Then gridcolor = 100
    If gridcolor > 163 Then gridcolor = 163
    horhoek0# = horhoek#: verhoek0# = verhoek#
    xp# = x#(Vlak, 1): yp# = y#(Vlak, 1): zp# = z#(Vlak, 1): GoSub BepaalBeeld
    horhoek1# = horhoek#: verhoek1# = verhoek#
    xp# = x#(Vlak, 2): yp# = y#(Vlak, 2): zp# = z#(Vlak, 2): GoSub BepaalBeeld
    horhoek2# = horhoek#: verhoek2# = verhoek#
    xp# = x#(Vlak, 3): yp# = y#(Vlak, 3): zp# = z#(Vlak, 3): GoSub BepaalBeeld
    horhoek3# = horhoek#: verhoek3# = verhoek#
    xp# = x#(Vlak, 4): yp# = y#(Vlak, 4): zp# = z#(Vlak, 4): GoSub BepaalBeeld
    horhoek4# = horhoek#: verhoek4# = verhoek#
    qx# = 533 + schaalx# * pf# * horhoek0#
    qy# = 77 - schaaly# * pf# * verhoek0#
    If qx# >= 439 And qx# <= 626 And qy# >= 14 And qy# <= 159 Then
        xkprojectie0 = qx#: ykprojectie0 = qy#: jn0 = 1
    End If
    qx# = 533 + schaalx# * pf# * horhoek1#
    qy# = 77 - schaaly# * pf# * verhoek1#
    If qx# >= 439 And qx# <= 626 And qy# >= 14 And qy# <= 159 Then
        xkprojectie1 = qx#: ykprojectie1 = qy#: jn1 = 1
    End If
    qx# = 533 + schaalx# * pf# * horhoek2#
    qy# = 77 - schaaly# * pf# * verhoek2#
    If qx# >= 439 And qx# <= 626 And qy# >= 14 And qy# <= 159 Then
        xkprojectie2 = qx#: ykprojectie2 = qy#: jn2 = 1
    End If
    qx# = 533 + schaalx# * pf# * horhoek3#
    qy# = 77 - schaaly# * pf# * verhoek3#
    If qx# >= 439 And qx# <= 626 And qy# >= 14 And qy# <= 159 Then
        xkprojectie3 = qx#: ykprojectie3 = qy#: jn3 = 1
    End If
    qx# = 533 + schaalx# * pf# * horhoek4#
    qy# = 77 - schaaly# * pf# * verhoek4#
    If qx# >= 439 And qx# <= 626 And qy# >= 14 And qy# <= 159 Then
        xkprojectie4 = qx#: ykprojectie4 = qy#: jn4 = 1
    End If
    If jn0 = 1 And jn1 = 1 And jn2 = 1 And jn3 = 1 And jn4 = 1 And gridcolor > 100 Then
        Line (xkprojectie1, ykprojectie1)-(xkprojectie2, ykprojectie2), gridcolor
        Line (xkprojectie2, ykprojectie2)-(xkprojectie3, ykprojectie3), gridcolor
        Line (xkprojectie3, ykprojectie3)-(xkprojectie4, ykprojectie4), gridcolor
        Line (xkprojectie4, ykprojectie4)-(xkprojectie1, ykprojectie1), gridcolor
    End If
Next
Return

BepaalBeeld:
'in :xc0#,yc0#,zc0#   Midden tafereel
'    xc5#,yc5#,zc5#   Oog
'    xp#,yp#,zp#      Te projecteren punt
'    pi#
'uit:horhoek#
'    verhoek#
'
'HORIZONTAAL
k1# = 2 * pi# - Koers#
If (xp# - xc0#) > 0 And (zp# - zc0#) >= 0 Then koers1# = (Atn((zp# - zc0#) / (xp# - xc0#)))
If (xp# - xc0#) < 0 And (zp# - zc0#) >= 0 Then koers1# = (pi# - Atn((zp# - zc0#) / -(xp# - xc0#)))
If (xp# - xc0#) < 0 And (zp# - zc0#) < 0 Then koers1# = (pi# + Atn(-(zp# - zc0#) / -(xp# - xc0#)))
If (xp# - xc0#) > 0 And (zp# - zc0#) < 0 Then koers1# = (2 * pi# - Atn(-(zp# - zc0#) / (xp# - xc0#)))
If (xp# - xc0#) = 0 And (zp# - zc0#) >= 0 Then koers1# = (.5 * pi#)
If (xp# - xc0#) = 0 And (zp# - zc0#) <= 0 Then koers1# = (1.5 * pi#)
k2# = 2 * pi# - koers1#
horhoek# = k2# - k1#
While horhoek# < 0: horhoek# = horhoek# + 2 * pi#: Wend
While horhoek# > 2 * pi#: horhoek# = horhoek# - 2 * pi#: Wend
horhoek# = horhoek# - 1.5 * pi#
'VERTICAAL
overstaande# = yp# - yc5#
aanliggende# = _Hypot(xp# - xc5#, zp# - zc5#)
k1# = helhoek#
k2# = Atn(overstaande# / aanliggende#)
verhoek# = 2 * (k2# - k1#)
Return

draaix:
hoekx# = 0
aa# = xa#
bb# = ya#
cc# = za#
r# = _Hypot(bb# - yb#, cc# - zb#)
hoekx# = _Atan2((cc# - zb#), (bb# - yb#))
hoekx# = hoekx# - hs#
bb# = r# * Cos(hoekx#) + yb#
cc# = r# * Sin(hoekx#) + zb#
xa# = aa#
ya# = bb#
za# = cc#
Return

draaiy:
hoeky# = 0
aa# = xa#
bb# = ya#
cc# = za#
r# = _Hypot(aa# - xb#, cc# - zb#)
hoeky# = _Atan2((cc# - zb#), (aa# - xb#))
hoeky# = hoeky# - hs#
aa# = r# * Cos(hoeky#) + xb#
cc# = r# * Sin(hoeky#) + zb#
xa# = aa#
ya# = bb#
za# = cc#
Return

'
Volume:
tellerslide = 0
x1 = 290: y1 = 150: x2 = 349: y2 = 295
Get (x1, y1)-(x2, y2), SliderPark(0)
Play "v" + Pct$ + "MBl32o3a"
_SndVol Click&, Volume / 100
_SndVol Blades&, Volume / 100
_SndLoop Blades&
Timer Off
GoSub tekenblok
Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF
waarde$ = "SOUND": dx = 320: dy = 157: GoSub PlaatsZwartOpGrijsCentered
Line (298, 277)-(341, 289), 0, BF
x1 = 298: y1 = 277: x2 = 341: y2 = 289: GoSub tekengat
waarde$ = Pct$ + " %": dx = 320: dy = 280: GoSub PlaatsTekstCentered
x1 = 309: y1 = 169: x2 = 330: y2 = 271: GoSub tekengat
x1 = 290: y1 = 150: x2 = 349: y2 = 290


Line (310, 170)-(329, 270), 0, BF
Get (304, 204)-(304 + 31, 204 + 31), DontShootBackground(0)
Line (310, 270 - Volume)-(329, 270 - Volume)

Timer On
Do
    tellerslide = tellerslide + 1
    _Limit 20
    i$ = InKey$
    If i$ = "+" And Volume <= 95 Then
        Put (304, 204), DontShootBackground(0), PSet
        tellerslide = 0
        Volume = Volume + 5
        _SndVol Click&, Volume / 100
        _SndVol Blades&, Volume / 100

        Pct$ = LTrim$(Str$(Volume))
        Timer Off
        Line (310, 170)-(329, 270), 0, BF
        Line (310, 270 - Volume)-(329, 270 - Volume)
        Play "v" + Pct$ + "MBl32o3a"
        Line (298, 277)-(341, 289), 0, BF
        x1 = 298: y1 = 277: x2 = 341: y2 = 289: GoSub tekengat
        waarde$ = Pct$ + " %": dx = 320: dy = 280: GoSub PlaatsTekstCentered
        Timer On
    End If
    If i$ = "-" And Volume >= 5 Then
        tellerslide = 0
        Volume = Volume - 5
        _SndVol Click&, Volume / 100
        _SndVol Blades&, Volume / 100

        Pct$ = LTrim$(Str$(Volume))
        Timer Off
        Line (310, 170)-(329, 270), 0, BF
        Line (310, 270 - Volume)-(329, 270 - Volume)
        Play "v" + Pct$ + "MBl32o3a"
        Line (298, 277)-(341, 289), 0, BF
        x1 = 298: y1 = 277: x2 = 341: y2 = 289: GoSub tekengat
        waarde$ = Pct$ + " %": dx = 320: dy = 280: GoSub PlaatsTekstCentered
        Timer On
    End If
    If Volume = 0 Then
        Put (304, 204), DontShootMask(0), And
        Put (304, 204), DontShoot(0), Xor
    End If
    _Display
Loop While i$ <> Chr$(27) And tellerslide < 40 '2x20= 2 seconden
_SndStop Blades&
Open "..\TXTFiles\VOLUME.TXT" For Output As #1
Print #1, Volume
Close #1
Timer Off
'
_SndVol Click&, Volume / 100
_SndVol Blades&, Volume / 100
_SndVol HitEnemy&, Volume / 100



Put (290, 150), SliderPark(0), PSet
Timer On
While InKey$ <> "": Wend
_SndVol Click&, Volume / 100
_SndVol Blades&, Volume / 100
_SndVol HitEnemy&, Volume / 100


Return




eindeFLY:
'

Open "..\TXTFiles\CONTROL.TXT" For Output As #1
Print #1, controller$ 'Default control type when NOT recording REPLAY.mcr     MOUSE/KEYBOARD/JOYSTICK
Close #1




Put (608, 295), LedOn(0), PSet
While b <> 0: Mouse 3: Wend
KeusXxx$ = ""
Timer Off: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekengat: Timer On
_SndPlay HitEnemy&


'


Timer Off
Get (140, 170)-(300, 250), bulk3(0)
x1 = 140: y1 = 170: x2 = 300: y2 = 250: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
x1 = 150: y1 = 180: x2 = 290: y2 = 200: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF: GoSub tekengat
waarde$ = "--- SELECT --- "
dx = 222: dy = 187: GoSub PlaatsTekstCentered
x1 = 150: y1 = 220: x2 = 215: y2 = 240: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
x1 = 224: y1 = 220: x2 = 289: y2 = 240: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
waarde$ = "PRACTICE"
dx = 148: dy = 227: GoSub PlaatsZwartOpGrijs
waarde$ = "RESCUE"
dx = 229: dy = 227: GoSub PlaatsZwartOpGrijs

Timer On




While b <> 0: Mouse 3: Wend
'*********************************************************** Hoofdlus ****
kl10:
_Limit OverallFramerate
Mouse 3
i$ = InKey$
If i$ = Chr$(27) Then Timer Off: Put (140, 170), bulk3(0), PSet: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekenblok: LO = 0: Put (608, 295), LedOff(0), PSet: Timer On: GoTo hl0

If b = 1 Then x = h: Y = v: GoTo kl11
GoTo kl10
' *************************************************************************
kl11:
KeusXxx$ = "GoBack"
If x > 151 And x < 214 And Y > 221 And Y < 239 Then _SndPlay Click&: Timer Off: x1 = 150: y1 = 220: x2 = 215: y2 = 240: GoSub tekengat: Timer On: KeusXxx$ = "Practice"
If x > 225 And x < 288 And Y > 221 And Y < 239 Then _SndPlay Click&: Timer Off: x1 = 224: y1 = 220: x2 = 289: y2 = 240: GoSub tekengat: Timer On: KeusXxx$ = "Play"

While b <> 0: Mouse 3: Wend

Timer Off
Put (140, 170), bulk3(0), PSet
Timer On
While b <> 0: Mouse 3: Wend
While InKey$ <> "": Wend

If KeusXxx$ = "GoBack" Then Timer Off: Put (140, 170), bulk3(0), PSet: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekenblok: LO = 0: Put (608, 295), LedOff(0), PSet: Timer On: GoTo hl0
While Bmuis <> 0: Mouse 3: _Limit OverallFramerate: Wend

If KeusXxx$ <> "Practice" Then

    Open "..\TXTFiles\RECDEMO.TXT" For Input As #1
    Input #1, RCD$
    Close #1
    Timer Off: LO = 1: Put (608, 295), LedOn(0), PSet: Timer On
    If _FileExists("..\REPLAY.mcr") And RCD$ <> "OFF" Then
        While b <> 0: Mouse 3: Wend
        KeusX$ = ""

        Timer Off: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekengat: Timer On
        _SndPlay HitEnemy&

        Timer Off
        Get (140, 170)-(300, 250), bulk3(0)
        x1 = 140: y1 = 170: x2 = 300: y2 = 250: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
        x1 = 150: y1 = 180: x2 = 290: y2 = 200: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF: GoSub tekengat

        waarde$ = "OVERWRITE REPLAY"
        dx = 222: dy = 187: GoSub PlaatsTekstCentered
        x1 = 150: y1 = 220: x2 = 215: y2 = 240: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
        x1 = 224: y1 = 220: x2 = 289: y2 = 240: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
        waarde$ = "OK"
        dx = 169: dy = 227: GoSub PlaatsZwartOpGrijs
        waarde$ = "CANCEL"
        dx = 230: dy = 227: GoSub PlaatsZwartOpGrijs
        Timer On

        While b <> 0: Mouse 3: Wend
        '*********************************************************** Hoofdlus ****
        hl10:
        _Limit OverallFramerate
        Mouse 3
        i$ = InKey$
        If i$ = Chr$(27) Then Timer Off: Put (240, 170), bulk3(0), PSet: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekenblok: LO = 0: Put (608, 295), LedOff(0), PSet: Timer On: GoTo hl0
        If b = 1 Then x = h: Y = v: GoTo hl11
        GoTo hl10
        ' *************************************************************************
        hl11:
        If x > 151 And x < 214 And Y > 221 And Y < 239 Then _SndPlay Click&: Timer Off: x1 = 150: y1 = 220: x2 = 215: y2 = 240: GoSub tekengat: Timer On: KeusX$ = "YES" Else _SndPlay Click&: Timer Off: x1 = 224: y1 = 220: x2 = 289: y2 = 240: GoSub tekengat: KeusX$ = "NO": Timer On
        While b <> 0: Mouse 3: Wend

        If KeusX$ = "NO" Then
            Timer Off
            Put (140, 170), bulk3(0), PSet
            x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekenblok
            LO = 0: Put (608, 295), LedOff(0), PSet
            Timer On
            While b <> 0: Mouse 3: Wend
            While InKey$ <> "": Wend


            GoTo hl0
        End If


    End If


    '*****************************************************************************
    Open "..\TXTFiles\CONTROL.TXT" For Output As #1
    Print #1, controller$
    Close #1
    LO = 1: Put (608, 295), LedOn(0), PSet
    _AutoDisplay
    _Delay .5
    Timer Off

    dikte = 8
    Line (320 - dikte, 0)-(320 + dikte, 479), 0, BF
    For k = 1 To 40
        Get (320, 0)-(639 - dikte, 479), bulk1(0)
        Get (dikte, 0)-(319, 479), bulk2(0)
        _Limit SlideSpeed&
        Put (0, 0), bulk2(0), PSet
        Put (320 + dikte, 0), bulk1(0), PSet
        _Display
    Next
    If _FileExists("..\Modules\Main.exe") Then Chain "Main.exe"
End If

'

If KeusXxx$ = "Practice" And _FileExists("..\Modules\Practice.exe") Then GoSub DayNight: GoSub systeemeinde2: Chain "Practice.exe"

While InKey$ <> "": Wend
Timer Off
Cls
waarde$ = "CONTACT TTWAREHELICOPTERRESCUE@GMAIL.COM FOR MISSING FILES"
dx = 319: dy = 230: GoSub PlaatsTekstCentered
Circle (105, 233), 10, , .5 * pi#, 1.5 * pi#
Circle (530, 233), 10, , 1.5 * pi#, .5 * pi#
Line (104, 223)-(531, 223)
Line (104, 243)-(531, 243)

_Display
b = 0
While InKey$ = "" And b = 0
    _Limit OverallFramerate
    Mouse 3
Wend
GoSub systeemeinde2
'
Clear: Cls

Chain "Menu.exe"

'



Systeemeinde:

_AutoDisplay
'
Timer Off
dikte = 8
Line (320 - dikte, 0)-(320 + dikte, 479), 0, BF
For k = 1 To 40
    Get (320, 0)-(639 - dikte, 479), bulk1(0)
    Get (dikte, 0)-(319, 479), bulk2(0)
    _Limit SlideSpeed&
    Put (0, 0), bulk2(0), PSet
    Put (320 + dikte, 0), bulk1(0), PSet
    Line (319 - (k - 1) * dikte, 0)-(319 - (k - 1) * dikte, 479), 0
    Line (320 + (k - 1) * dikte, 0)-(320 + (k - 1) * dikte, 479), 0
    _Display
Next

_AutoDisplay
Palette 15, 0
waarde$ = EndText$: dx = 319: dy = 170: GoSub PlaatsTekstCentered
Open "..\TXTFiles\TCOCKPIT.TXT" For Input As #1
Input #1, TotalCockpitTime&
Close #1

Open "..\TXTFiles\" + "DATETIME.TXT" For Input As #1
Input #1, InstallDate$
Input #1, InstallTime$
Close #1
MO1 = Val(Mid$(InstallDate$, 1, 2))
DD1 = Val(Mid$(InstallDate$, 4, 2))
YY1 = Val(Mid$(InstallDate$, 7, 4))
Days1 = 365! * YY1 + DD1 + 31 * (MO1 - 1)
If MO1 < 3 Then
    Days1 = Days1 + Int((YY1 - 1) / 4) - Int(3 / 4 * (Int((YY1 - 1) / 100) + 1))
Else
    Days1 = Days1 - Int(.4 * MO1 + 2.3) + Int(YY1 / 4) - Int(3 / 4 * (Int(YY1 / 100) + 1))
End If

AltDate$ = Date$
MO2 = Val(Mid$(AltDate$, 1, 2))
DD2 = Val(Mid$(AltDate$, 4, 2))
YY2 = Val(Mid$(AltDate$, 7, 4))
Days2 = 365! * YY2 + DD2 + 31 * (MO2 - 1)
If MO2 < 3 Then
    Days2 = Days2 + Int((YY2 - 1) / 4) - Int(3 / 4 * (Int((YY2 - 1) / 100) + 1))
Else
    Days2 = Days2 - Int(.4 * MO2 + 2.3) + Int(YY2 / 4) - Int(3 / 4 * (Int(YY2 / 100) + 1))
End If

uren = TotalCockpitTime& \ 3600
TotalCockpitTime& = TotalCockpitTime& - uren * 3600
minuten = TotalCockpitTime& \ 60
TotalCockpitTime& = TotalCockpitTime& - minuten * 60
seconden = TotalCockpitTime&
uren$ = LTrim$(Str$(uren))
If Len(uren$) > 2 Then
    While Len(uren$) < 4: uren$ = "0" + uren$: Wend
Else
    While Len(uren$) < 2: uren$ = "0" + uren$: Wend
End If
minuten$ = LTrim$(Str$(minuten))
While Len(minuten$) < 2: minuten$ = "0" + minuten$: Wend
seconden$ = LTrim$(Str$(seconden))
While Len(seconden$) < 2: seconden$ = "0" + seconden$: Wend

waarde$ = "DAY " + LTrim$(Str$(1 + (Days2 - Days1))): dx = 319: dy = 210: GoSub PlaatsTekstCentered
waarde$ = "TOTAL FLIGHT TIME: " + uren$ + ":" + minuten$ + ":" + seconden$: dx = 319: dy = 230: GoSub PlaatsTekstCentered

Circle (257, 173), 11, , .5 * pi#, 1.5 * pi#
Circle (378, 173), 11, , 1.5 * pi#, .5 * pi#
Line (256, 162)-(379, 162)
Line (256, 184)-(379, 184)

For w = 0 To 63 Step 7
    _Limit 120
    Palette 15, 65536 * w + 256 * w + w
Next
Sleep 1

GoSub VuurPalet

x1 = 245: x2 = 389
y1 = 80: y2 = 186

Line (256, 160)-(379, 162), , BF

b = 0
teller& = 0
Do While InKey$ = "" And b = 0
    Mouse 3
    _Limit 20000
    xp = x1 + (x2 - x1) * Rnd
    yp = y1 + (y2 - y1) * Rnd
    p = Point(xp, yp)
    If p = 0 Then p = 149
    If p < 50 Then p = 50
    p2 = p + 4
    If p2 > 149 Then p2 = 149
    If yp > y1 And xp > x1 + 1 And yp < y2 And xp < x2 Then
        Line (xp - 1, yp - 1)-(xp + 1, yp - 3), p2, BF
        Line (xp, yp - 4)-(xp, yp - 5), p2, BF
    End If
    teller& = teller& + 1
    If teller& >= 60000 Then Exit Do
Loop
For w = 63 To 0 Step -1
    _Limit 120
    Palette 15, 65536 * w + 256 * w + w
Next
_Clipboard$ = "https://www.youtube.com/@ttware7430"
System

VuurPalet:
ac = 16
b1! = 63
g1! = 63
r1! = 63
b2! = 16
g2! = 40
r2! = 63
bst! = (b2! - b1!) / ac: gst! = (g2! - g1!) / ac: rst! = (r2! - r1!) / ac
b! = b1!: g! = g1!: r! = r1!
For cc = 50 To 50 + ac
    Palette cc, 65536 * Int(b!) + 256 * Int(g!) + Int(r!)
    b! = b! + bst!: g! = g! + gst!: r! = r! + rst!
Next
delta = delta + ac
ac = 64
b1! = 16
g1! = 40
r1! = 63
b2! = 0
g2! = 0
r2! = 31
bst! = (b2! - b1!) / ac: gst! = (g2! - g1!) / ac: rst! = (r2! - r1!) / ac
b! = b1!: g! = g1!: r! = r1!
For cc = 50 + delta To 50 + ac + delta
    Palette cc, 65536 * Int(b!) + 256 * Int(g!) + Int(r!)
    b! = b! + bst!: g! = g! + gst!: r! = r! + rst!
Next
delta = delta + ac
ac = 19
b1! = 0
g1! = 0
r1! = 31
b2! = 0
g2! = 0
r2! = 0
bst! = (b2! - b1!) / ac: gst! = (g2! - g1!) / ac: rst! = (r2! - r1!) / ac
b! = b1!: g! = g1!: r! = r1!
For cc = 50 + delta To 50 + ac + delta
    Palette cc, 65536 * Int(b!) + 256 * Int(g!) + Int(r!)
    b! = b! + bst!: g! = g! + gst!: r! = r! + rst!
Next
delta = delta + ac
Return

systeemeinde2:
_AutoDisplay
Timer Off

dikte = 8
Line (320 - dikte, 0)-(320 + dikte, 479), 0, BF
For k = 1 To 40
    Get (320, 0)-(639 - dikte, 479), bulk1(0)
    Get (dikte, 0)-(319, 479), bulk2(0)
    _Limit SlideSpeed&
    Put (0, 0), bulk2(0), PSet
    Put (320 + dikte, 0), bulk1(0), PSet
    Line (319 - (k - 1) * dikte, 0)-(319 - (k - 1) * dikte, 479), 0
    Line (320 + (k - 1) * dikte, 0)-(320 + (k - 1) * dikte, 479), 0
    _Display
Next
Return

ReadMe: '
'
Timer Off
Cls
_AutoDisplay
Open "..\ReadMe.txt" For Input As #20
For yyR = 0 To 19
    Input #20, aaa$
    Print aaa$
Next
Close #20
While InKey$ = "": Wend
Chain "Menu.exe"

While InKey$ = "": Wend
Timer On
Return

'
DayNight:
Timer Off
Get (140, 170)-(300, 250), bulk3(0)
x1 = 140: y1 = 170: x2 = 300: y2 = 250: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
x1 = 150: y1 = 180: x2 = 290: y2 = 200: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF: GoSub tekengat
waarde$ = "--- SELECT --- "
dx = 222: dy = 187: GoSub PlaatsTekstCentered
x1 = 150: y1 = 220: x2 = 215: y2 = 240: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
x1 = 224: y1 = 220: x2 = 289: y2 = 240: Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF: GoSub tekenblok
waarde$ = "DAY"
dx = 166: dy = 227: GoSub PlaatsZwartOpGrijs
waarde$ = "NIGHT"
dx = 233: dy = 227: GoSub PlaatsZwartOpGrijs

Timer On
While b <> 0: Mouse 3: Wend
'*********************************************************** Hoofdlus ****
kll10:
_Limit OverallFramerate
Mouse 3
i$ = InKey$
If i$ = Chr$(27) Then Timer Off: Put (140, 170), bulk3(0), PSet: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekenblok: LO = 0: Put (608, 295), LedOff(0), PSet: Timer On: GoTo hl0

If b = 1 Then x = h: Y = v: GoTo kll11
GoTo kll10
' *************************************************************************
kll11:
If x > 151 And x < 214 And Y > 221 And Y < 239 Then _SndPlay Click&: Timer Off: x1 = 150: y1 = 220: x2 = 215: y2 = 240: GoSub tekengat: Timer On: DayNight$ = "DAY": GoTo kll12
If x > 225 And x < 288 And Y > 221 And Y < 239 Then _SndPlay Click&: Timer Off: x1 = 224: y1 = 220: x2 = 289: y2 = 240: GoSub tekengat: Timer On: DayNight$ = "NIGHT": GoTo kll12
While b <> 0: Mouse 3: Wend


Timer Off: Put (140, 170), bulk3(0), PSet: x1 = 436: y1 = 286: x2 = 629: y2 = 314: GoSub tekenblok: LO = 0: Put (608, 295), LedOff(0), PSet: Timer On: GoTo hl0
kll12:
While b <> 0: Mouse 3: Wend

Open "..\TXTFiles\DAYNIGHT.TXT" For Output As #1
Print #1, DayNight$
Close #1


Return


Accolade:
Data 000011
Data 000100
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 010000
Data 100000
Data 010000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 000100
Data 000011

Led:
'Led off
Data ............
Data ....2222....
Data ...2AAAA2...
Data ..4AAABBA2..
Data .4AAAAAABA2.
Data .4AAAAAABA2.
Data .4AAAAAAAA2.
Data .4AAAAAAAA2.
Data ..4AAAAAA2..
Data ...4AAAA4...
Data ....4444....
Data ............
'Led on
Data ............
Data ....2222....
Data ...2CCCC2...
Data ..4CCC55C2..
Data .4CCCCCC5C2.
Data .4CCCCCC5C2.
Data .4CCCCCCCC2.
Data .4CCCCCCCC2.
Data ..4CCCCCC2..
Data ...4CCCC4...
Data ....4444....
Data ............
'Ledhalf
Data ............
Data ....2222....
Data ...2CCCC2...
Data ..4CCC55C2..
Data .4CCCCCC5C2.
Data .4CCCCCC5C2.
Data .4CCCCCCCC2.
Data .4CCCCCCCC2.
Data ..4CCCCCC2..
Data ...4CCCC4...
Data ....4444....
Data ............

roos: '  56x56
Data 00000000000000000000000001000010000000000000000000000000
Data 00000000000000000000000001100010000000000000000000000000
Data 00000000000000000000000001010010000000000000000000000000
Data 00000000000000000000000001001010000000000000000000000000
Data 00000000000000000000000001000110000000000000000000000000
Data 00000000000000000000000001000010000000000000000000000000
Data 00000000000000000000000001000010000000000000000000000000
Data 00000000000000000000000000000000000000000000000000000000
Data 00000000000000000000000000011000000000000000000000000000
Data 00000000000000000000000000011000000000000000000000000000
Data 00000000000000000000000000011000000000000000000000000000
Data 00000000000000000000000000110100000000000000000000000000
Data 00000000000000000000000000110100000000000000000000000000
Data 00000000000000000000000000110100000000000000000000000000
Data 00000000000000000000000001110010000000000000000000000000
Data 00000000000000000000000001110010000000000000000000000000
Data 00000000000000001110000001110010000001110000000000000000
Data 00000000000000001101110011110001001111110000000000000000
Data 00000000000000001110001111110001111111010000000000000000
Data 00000000000000000111000011110001111110100000000000000000
Data 00000000000000000111100111110000111100100000000000000000
Data 00000000000000000111110111110000111000100000000000000000
Data 00000000000000000011111111110000110001000000000000000000
Data 00000000000000000011111111110000111101000000000000000000
Data 00000000000000000111000011110001111111100000000000000000
Data 01000010000000111000000001110011111111111100000001111110
Data 01000010000111000000000000110111111111111111100001000000
Data 01000010111000000000000000011111111111111111111101000000
Data 01000010111111111111111111111000000000000000011101111000
Data 01011010000111111111111111101100000000000011100001000000
Data 01011010000000111111111111001110000000011100000001000000
Data 01100110000000000111111110001111000011100000000001111110
Data 00000000000000000010111100001111111111000000000000000000
Data 00000000000000000010001100001111111111000000000000000000
Data 00000000000000000100011100001111101111100000000000000000
Data 00000000000000000100111100001111100111100000000000000000
Data 00000000000000000101111110001111000011100000000000000000
Data 00000000000000001011111110001111110001110000000000000000
Data 00000000000000001111110010001111001110110000000000000000
Data 00000000000000001110000001001110000001110000000000000000
Data 00000000000000000000000001001110000000000000000000000000
Data 00000000000000000000000001001110000000000000000000000000
Data 00000000000000000000000000101100000000000000000000000000
Data 00000000000000000000000000101100000000000000000000000000
Data 00000000000000000000000000101100000000000000000000000000
Data 00000000000000000000000000011000000000000000000000000000
Data 00000000000000000000000000011000000000000000000000000000
Data 00000000000000000000000000011000000000000000000000000000
Data 00000000000000000000000000000000000000000000000000000000
Data 00000000000000000000000000111100000000000000000000000000
Data 00000000000000000000000001000010000000000000000000000000
Data 00000000000000000000000001000000000000000000000000000000
Data 00000000000000000000000000111100000000000000000000000000
Data 00000000000000000000000000000010000000000000000000000000
Data 00000000000000000000000001000010000000000000000000000000
Data 00000000000000000000000000111100000000000000000000000000
dontshoot: 'DontShoot
Data 00000000000011111111000000000000
Data 00000000011122222222111000000000
Data 00000001122222222222222110000000
Data 00000012222222222222222221000000
Data 00000122222222222222222222100000
Data 00001222222222222222222222210000
Data 00012222222221111112222222221000
Data 00122222222110000001112222222100
Data 00122222222210000000001222222100
Data 01222222222221000000000122222210
Data 01222222222222100000000012222210
Data 01222221222222210000000012222210
Data 12222221122222221000000012222221
Data 12222210012222222100000001222221
Data 12222210001222222210000001222221
Data 12222210000122222221000001222221
Data 12222210000012222222100001222221
Data 12222210000001222222210001222221
Data 12222210000000122222221001222221
Data 12222221000000012222222112222221
Data 01222221000000001222222212222210
Data 01222221000000000122222222222210
Data 01222222100000000012222222222210
Data 00122222210000000001222222222100
Data 00122222221110000001122222222100
Data 00012222222221111112222222221000
Data 00001222222222222222222222210000
Data 00000122222222222222222222100000
Data 00000012222222222222222221000000
Data 00000001122222222222222110000000
Data 00000000011122222222111000000000
Data 00000000000011111111000000000000

dontshoottext: '92x13
Data 00000000000000000000000000000001200000000000000000000000000000000000000000000000000000000000
Data 03445600000007450000084100065009a0b433334c000000dec000bf0000b700000g4700000008336000443334e8
Data chijkhl0000mnhhhko000phq0004hm0rs0thhhhhhu0000vwhxhy00ay0000tz0009ihhhwm0006phhhhA0vhhhhhhhB
Data bh302ChD006Et4vfAhr00ujhb004km0CF0282aG2820000Hjf6bI00tG0000Jl00KhL78IsM600NxO8mKhP08vch9681
Data bhd000Ch40Qhm0000us00RlSu004i80Ou0000tH0000000Su000000tq0000Fl06iH00003hT0Ch30000lh1002hU000
Data bhb0000hV0Nw00000Wh70nlghe04i80180000tH0000000VhX00000JY877mtA03hb00000EG0qj00000dh300vhT000
Data bhb0000Jp0MG00000bhd0nq0RJ03i80000000tH00000001YhtC000NhhhhhhP0Zh600000nu0nn000001hC00vhT000
Data bhb0000ay0My00000ghc0nq0bhCgi80000000tH000000000eDhH00JDb5ggMA0Zh200000wD0nw000006hO00vhT000
Data bhb0000hQ0Fw00000Uhv0nq00Gt4i80000000tH00000000000Qhg0tq0000Fl04hb00000xP0yx00000ghc00vhT000
Data bhd000Xhb0Ah80000Nn00nq00mkpj80000000tH00000000000bhe0tG0000Jl02hl0000Ohe0Th50000pE000vhT000
Data bh417Qhy00vht46cDh500nq000Phi80000000aq000000vDU2fnj20tG0000Jl00PhLmvThD001MxO27qhZ000vhT000
Data fhhhhEQ0000dwhhhJe000nG0002shv0000000aq0000000zkhhFg00ay0000tl000Lxhhil0000vDhhhMZ0000vhT000
Data 0888v00000000282000002600001v00000000v60000000018v0000v60000v600000880000000068v000000081000



pages:
Data 001000000110
Data 011000101001
Data 001000100010
Data 001001000100
Data 011101001111

Data 011000000110
Data 100100101001
Data 001000100010
Data 010001000100
Data 111101001111




'
Muis: 'Muis
Data 00001110000
Data 00000000000
Data 00000100000
Data 00000100000
Data 10000100001
Data 10111011101
Data 10000100001
Data 00000100000
Data 00000100000
Data 00000000000
Data 00001110000



Balknul:
Data 1111111111111111111111111111111111111111
Data 1010101000000000000000000000000000000001
Data 1101010100000000000000000000000000000001
Data 1010101000000000000000000000000000000001
Data 1101010100000000000000000000000000000001
Data 1010101000000000000000000000000000000001
Data 1101010100000000000000000000000000000001
Data 1111111111111111111111111111111111111111

Balk:
Data 1111111111111111111111111111111111111111
Data 1010101010101010101000000000000000000001
Data 1101010101010101010100000000000000000001
Data 1010101010101010101000000000000000000001
Data 1101010101010101010100000000000000000001
Data 1010101010101010101000000000000000000001
Data 1101010101010101010100000000000000000001
Data 1111111111111111111111111111111111111111
Balkhalf:
Data 1111111111111111111111111111111111111111
Data 1010101010101010101010101010101010101011
Data 1101010101010101010101010101010101010101
Data 1010101010101010101010101010101010101011
Data 1101010101010101010101010101010101010101
Data 1010101010101010101010101010101010101011
Data 1101010101010101010101010101010101010101
Data 1111111111111111111111111111111111111111


Set1:
'        (32)
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

'  %     (37)
Data 110001
Data 110011
Data 000110
Data 001100
Data 011000
Data 110011
Data 100011

' &     (38)
Data 001000
Data 110100
Data 110100
Data 001001
Data 010110
Data 110010
Data 011101

'  ()    (40-41)
Data 000110
Data 001100
Data 011000
Data 011000
Data 011000
Data 001100
Data 000110

Data 011000
Data 001100
Data 000110
Data 000110
Data 000110
Data 001100
Data 011000

'+   (43)
Data 000000
Data 001100
Data 001100
Data 011110
Data 001100
Data 001100
Data 000000

'  -     (45-47)
Data 000000
Data 000000
Data 000000
Data 011110
Data 000000
Data 000000
Data 000000

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 001100
Data 001100

Data 000001
Data 000011
Data 000110
Data 001100
Data 011000
Data 110000
Data 100000

'  0 - : (48-58)
Data 011110
Data 110111
Data 110111
Data 111011
Data 111011
Data 111011
Data 011110

Data 001100
Data 011100
Data 001100
Data 001100
Data 001100
Data 001100
Data 011110

Data 011110
Data 110011
Data 000011
Data 001100
Data 110000
Data 110000
Data 111111

Data 011110
Data 110011
Data 000011
Data 001100
Data 000011
Data 110011
Data 011110

Data 110000
Data 110000
Data 110110
Data 111111
Data 000110
Data 000110
Data 000110

Data 111111
Data 110000
Data 110000
Data 001100
Data 000011
Data 110011
Data 011110

Data 000110
Data 001100
Data 011000
Data 111110
Data 110011
Data 110011
Data 011110

Data 111111
Data 000011
Data 000011
Data 001100
Data 011000
Data 011000
Data 011000

Data 011110
Data 110011
Data 110011
Data 011110
Data 110011
Data 110011
Data 011110

Data 011110
Data 110011
Data 110011
Data 011111
Data 000110
Data 001100
Data 011000



Data 000000
Data 001100
Data 001100
Data 000000
Data 001100
Data 001100
Data 000000

'       ? (63)
'
Data 011110
Data 110011
Data 000011
Data 000110
Data 001100
Data 000000
Data 001100





'  @ - Z (65-90)
Data 001110
Data 110011
Data 110011
Data 110111
Data 110111
Data 111000
Data 001111

Data 001100
Data 011110
Data 110011
Data 111111
Data 110011
Data 110011
Data 110011

Data 111110
Data 110011
Data 110011
Data 111110
Data 110011
Data 110011
Data 111110

Data 011110
Data 110011
Data 110000
Data 110000
Data 110000
Data 110011
Data 011110

Data 111110
Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 111110

Data 111111
Data 110000
Data 110000
Data 111100
Data 110000
Data 110000
Data 111111

Data 111111
Data 110000
Data 110000
Data 111100
Data 110000
Data 110000
Data 110000

Data 011110
Data 110011
Data 110000
Data 110110
Data 110011
Data 110011
Data 011110

Data 110011
Data 110011
Data 110011
Data 111111
Data 110011
Data 110011
Data 110011

Data 011110
Data 001100
Data 001100
Data 001100
Data 001100
Data 001100
Data 011110

Data 111111
Data 000011
Data 000011
Data 110011
Data 110011
Data 110011
Data 011110

Data 110011
Data 110011
Data 110110
Data 111100
Data 110110
Data 110011
Data 110011

Data 110000
Data 110000
Data 110000
Data 110000
Data 110000
Data 110000
Data 111111

Data 110011
Data 111111
Data 111111
Data 110011
Data 110011
Data 110011
Data 110011

Data 110011
Data 111011
Data 111011
Data 110111
Data 110111
Data 110011
Data 110011

Data 011110
Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 011110

Data 111110
Data 110011
Data 110011
Data 111110
Data 110000
Data 110000
Data 110000

Data 011110
Data 110011
Data 110011
Data 110011
Data 110111
Data 110110
Data 011111

Data 111110
Data 110011
Data 110011
Data 111110
Data 110011
Data 110011
Data 110011

Data 011110
Data 110011
Data 110000
Data 011110
Data 000011
Data 110011
Data 011110

Data 111111
Data 001100
Data 001100
Data 001100
Data 001100
Data 001100
Data 001100

Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 011110

Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 011110
Data 001100

Data 110011
Data 110011
Data 110011
Data 110011
Data 111111
Data 111111
Data 110011

Data 110011
Data 110011
Data 011110
Data 001100
Data 011110
Data 110011
Data 110011

Data 110011
Data 110011
Data 110011
Data 011110
Data 001100
Data 001100
Data 001100

Data 111111
Data 000011
Data 000110
Data 001100
Data 011000
Data 110000
Data 111111

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 001100
Data 001100
Data 011000
Data 000000
Data 000000
Data 000000
Data 000000

set2:
'        (32 - 38) SPC-&
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 001100
Data 011110
Data 011110
Data 001100
Data 001100
Data 000000
Data 001100

Data 010100
Data 010100
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 011110
Data 100001
Data 101101
Data 101001
Data 101101
Data 100001
Data 011110

Data 011110
Data 101000
Data 101000
Data 011100
Data 001010
Data 001010
Data 111100

Data 110001
Data 110011
Data 000110
Data 001100
Data 011000
Data 110011
Data 100011

Data 001000
Data 010100
Data 010100
Data 001001
Data 010110
Data 100010
Data 011101

'  ()*+   (40-43)      '!@#
Data 000110
Data 001000
Data 010000
Data 010000
Data 010000
Data 001000
Data 000110

Data 011000
Data 000100
Data 000010
Data 000010
Data 000010
Data 000100
Data 011000

Data 000000
Data 001100
Data 111111
Data 001100
Data 111111
Data 001100
Data 000000

Data 000000
Data 001000
Data 001000
Data 111110
Data 001000
Data 001000
Data 000000

'  -     (44-47)
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000100
Data 001000

Data 000000
Data 000000
Data 000000
Data 011110
Data 000000
Data 000000
Data 000000

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 001100
Data 001100

Data 000000
Data 000001
Data 000010
Data 000100
Data 001000
Data 010000
Data 100000

'  0 - 9 (48-57)
Data 011110
Data 100011
Data 100101
Data 100001
Data 101001
Data 110001
Data 011110

Data 000100
Data 001100
Data 000100
Data 000100
Data 000100
Data 000100
Data 001110

Data 011110
Data 100001
Data 000001
Data 001110
Data 010000
Data 100000
Data 111111

Data 011110
Data 100001
Data 000001
Data 001110
Data 000001
Data 100001
Data 011110

Data 100000
Data 100000
Data 100100
Data 111111
Data 000100
Data 000100
Data 000100

Data 111111
Data 100000
Data 111100
Data 000010
Data 000001
Data 100001
Data 011110

Data 000110
Data 001000
Data 010000
Data 111110
Data 100001
Data 100001
Data 011110

Data 111111
Data 000001
Data 000001
Data 000110
Data 001000
Data 001000
Data 001000

Data 011110
Data 100001
Data 100001
Data 011110
Data 100001
Data 100001
Data 011110

Data 011110
Data 100001
Data 100001
Data 011111
Data 000010
Data 000100
Data 001000

Data 000000
Data 001000
Data 001000
Data 000000
Data 001000
Data 001000
Data 000000


'  > - Z (62-90)


Data 000000
Data 001000
Data 001000
Data 000000
Data 001000
Data 001000
Data 000000


Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000



Data 001110
Data 110001
Data 100101
Data 101011
Data 100111
Data 110000
Data 001111

Data 001100
Data 010010
Data 100001
Data 111111
Data 100001
Data 100001
Data 100001

Data 111110
Data 100001
Data 100001
Data 111110
Data 100001
Data 100001
Data 111110

Data 011111
Data 100000
Data 100000
Data 100000
Data 100000
Data 100000
Data 011111

Data 111110
Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 111110

Data 111111
Data 100000
Data 100000
Data 111100
Data 100000
Data 100000
Data 111111

Data 111111
Data 100000
Data 100000
Data 111100
Data 100000
Data 100000
Data 100000

Data 011110
Data 100001
Data 100000
Data 100110
Data 100001
Data 100001
Data 011110

Data 100001
Data 100001
Data 100001
Data 111111
Data 100001
Data 100001
Data 100001

Data 011100
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 011100

Data 111111
Data 000001
Data 000001
Data 000001
Data 100001
Data 100001
Data 011110

Data 100001
Data 100010
Data 100100
Data 111000
Data 100100
Data 100010
Data 100001

Data 100000
Data 100000
Data 100000
Data 100000
Data 100000
Data 100000
Data 111111

Data 100001
Data 110011
Data 101101
Data 100001
Data 100001
Data 100001
Data 100001

Data 100001
Data 110001
Data 101001
Data 100101
Data 100011
Data 100001
Data 100001

Data 011110
Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 011110

Data 111110
Data 100001
Data 100001
Data 111110
Data 100000
Data 100000
Data 100000

Data 011110
Data 100001
Data 100001
Data 100001
Data 100101
Data 100011
Data 011111

Data 111110
Data 100001
Data 100001
Data 111110
Data 100001
Data 100001
Data 100001

Data 011110
Data 100001
Data 100000
Data 011110
Data 000001
Data 100001
Data 011110

Data 111110
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000

Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 011110

Data 100001
Data 100001
Data 100001
Data 010010
Data 010010
Data 010010
Data 001100

Data 100001
Data 100001
Data 100001
Data 100001
Data 101101
Data 110011
Data 100001

Data 100001
Data 100001
Data 010010
Data 001100
Data 010010
Data 100001
Data 100001

Data 100010
Data 100010
Data 100010
Data 010100
Data 001000
Data 001000
Data 001000

Data 111111
Data 000001
Data 000010
Data 000100
Data 001000
Data 010000
Data 111111

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 000100
Data 000100
Data 001000
Data 000000
Data 000000
Data 000000
Data 000000

Lichtkrant:
'Dakje ^ voor 'THE GOAL' doet Highscore knipperen   (error bij analysescherm)
Data YOUR MISSION IS TO RESCUE AS MANY REFUGEES AS YOU CAN -IN A SEQUENCE THAT FITS THE SITUATION-
Data BY LANDING IN THEIR VICINITY WHILE ENEMY DRONES ARE CLOSING IN -------- PREVENT THE DRONES FROM
Data OVERRUNNING YOUR BASE (WAYPOINT 0) BY STOPPING THEM WITH THE 30MM GUN -------- BE CAREFUL NOT TO SHOOT AT FRIENDLY TRUCKS
Data BECAUSE THEY BRING IN FUEL AND AMMUNITION -------- DON\T COME TOO CLOSE TO THE DRONES OR THEY WILL
Data DO DAMAGE TO YOUR HELICOPTER (IT CAN BE REPAIRED AT THE BASE) -------- IN THE MENU PRESS \+\ OR \-\ TO ADJUST THE SOUND LEVEL -------- IN THE \HALL OF FAME\ CLICK ON THE SLOTS TO
Data REVIEW THE CORRESPONDING FLIGHTRECORDERS AND ACHIEVEMENTS (CLICK \ANALYSIS\ TO VIEW THE FLIGHT DETAILS) -------- WHILE
Data IN THE GAME PRESS \M\ FOR MAP OR \H\ FOR OTHER IN-GAME KEYS -------- IN THE MENU CLICK IN THIS TEXT BOX TO PLAY A
Data RECORDED REPLAY -------- SPECIAL THANKS GO OUT TO THE QB64 COMMUNITY FOR KEEPING
Data QB64 ON LIFE SUPPORT -------- B.SCOTCH# AND ED-EQUIPMENT -------- THE KRAMER FAMILY -------- PETER QUISTGARD AND MARCO HARDMEIER -------- THEME MUSIC WRITTEN BY VIDEO-GAME-MUSIC-EXPLORERS
Data -------- GUITARS BY KEES ATTINGA -------- PROGRAMMING AND ADDITIONAL GUITARS BY ARNOLD
Data KRAMER                                                                                                   VISIT \HTTPS>//WWW.YOUTUBE.COM/@TTWARE7430\ FOR MORE T&T WARE GAMES (COPIED TO CLIPBOARD)                                                            ?
Data 13131313
'        "Mouse" Sub-Routine Copyright 1999 by: Daryl R. Dubbs
Sub Mouse (Funk) Static
    Shared b, h, v
    If Funk = 1 Then Crsr = 1
    If Funk = 2 And Crsr = 0 Then Exit Sub
    If Funk = 2 And Crsr = 1 Then Crsr = 0
    Poke 100, 184: Poke 101, Funk: Poke 102, 0
    Poke 103, 205: Poke 104, 51: Poke 105, 137
    Poke 106, 30: Poke 107, 170: Poke 108, 10
    Poke 109, 137: Poke 110, 14: Poke 111, 187
    Poke 112, 11: Poke 113, 137: Poke 114, 22
    Poke 115, 204: Poke 116, 12: Poke 117, 203
    Call Absolute(100)
    b = Peek(&HAAA)
    h = Peek(&HBBB) + Peek(&HBBC) * 256
    v = Peek(&HCCC) + Peek(&HCCD) * 256
End Sub



