'
'        Reset-File copyright 2023 Arnold Kramer T&T WARE
'
'        ver.20240722 1.6.21
'
'
'
$ExeIcon:'c:/T&TWareIcons/HRExe.ico'
_Title "Helicopter Rescue - Reset"
DefInt A-Z
DECLARE SUB Mouse (Funk)
grootte = 50

Open "..\TXTFiles\VOLUME.TXT" For Input As #1
Input #1, Volume
Close #1
Pct$ = LTrim$(Str$(Volume))

Click& = _SndOpen("..\OGGFiles\" + "Click.ogg", "VOL,SYNC")
_SndVol Click&, Volume / 100
'

Screen _NewImage(640, 480, 256)

Open "..\TXTFiles\DISPLAYM.TXT" For Input As #11
Input #11, screen$
Close #11
If screen$ = "FULLSCREEN" Then full = 1
If screen$ = "WINDOWED" Then full = 0
If full = 1 Then
    _FullScreen _SquarePixels , _Smooth
Else
    _FullScreen _Off
    _ScreenMove _Middle
End If


For altco = 0 To 16: Palette altco, 0: Next
'ding...

ReDim bulk1(0 To 100000)
ReDim bulk2(0 To 100000)

ReDim v(0 To 10000)
ReDim vwit(0 To 10000)

ReDim w(0 To 10000)
ReDim LedOn(0 To 500)
ReDim LedOff(0 To 500)

ReDim PlayerName$(1 To 10)
ReDim PlayerScore&(1 To 10)
ReDim PlayerLevel(1 To 10)
ReDim PlayerSeconds&(1 To 10)
ReDim cPxl(0 To 374, 0 To 290)

Const pi# = 3.14159265358979323846264338327950288

Palette 0, 65536 * 0 + 256 * 0 + 0 '   zwart
Palette 1, 65536 * 12 + 256 * 12 + 12 '-
Palette 2, 65536 * 24 + 256 * 24 + 24 ' |
Palette 3, 65536 * 36 + 256 * 36 + 36 ' |grijstinten tot wit
Palette 4, 65536 * 48 + 256 * 48 + 48 ' |
Palette 5, 65536 * 63 + 256 * 63 + 63 '-
Palette 6, 65536 * 12 + 256 * 12 + 12 '  blauw
Palette 7, 65536 * 0 + 256 * 63 + 0 '  groen
Palette 8, 65536 * 0 + 256 * 0 + 63 '  rood
Palette 9, 65536 * 0 + 256 * 0 + 23 ' donker rood
Palette 10, 65536 * 0 + 256 * 50 + 55 '-
Palette 11, 65536 * 0 + 256 * 45 + 50 ' |vlamtinten
Palette 12, 65536 * 0 + 256 * 35 + 45 ' |
Palette 13, 65536 * 0 + 256 * 25 + 63 '-
Palette 14, 65536 * 0 + 256 * 15 + 0 '  donkergroen
Palette 15, 65536 * 0 + 256 * 63 + 0 'hoofdkleur
Palette 16, 65536 * 0 + 256 * 31 + 0 'mediumgroen
For grey = 100 To 163
    Palette grey, 65536 * (grey - 100) + 256 * (grey - 100) + (grey - 100)
Next

Open "..\TXTFiles\" + "RECDEMO.TXT" For Input As #1
Input #1, RecDemo$
Close #1

b1 = 0: b2 = 0: b3 = 0: b4 = 0
If UCase$(RecDemo$) = "ON" Then b5 = 1 Else b5 = 0

For grey = 100 To 163
    Palette grey, 65536 * (grey - 100) + 256 * (grey - 100) + (grey - 100)
Next
Palette 32, 65536 * 0 + 256 * 0 + 0
For y = 0 To 11
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "A": PSet (x, y), 9 '
            Case "B": PSet (x, y), 3 '
            Case "C": PSet (x, y), 8 '
            Case ".": PSet (x, y), 3
            Case Else: PSet (x, y), Val(b$)
        End Select
    Next
Next
Get (0, 0)-(11, 11), LedOff(0)

For y = 0 To 11
    Read a$
    For x = 0 To Len(a$) - 1
        b$ = Mid$(a$, x + 1, 1)
        Select Case b$
            Case "A": PSet (x, y), 9 '
            Case "B": PSet (x, y), 16 '
            Case "C": PSet (x, y), 8 '
            Case ".": PSet (x, y), 3
            Case Else: PSet (x, y), Val(b$)
        End Select
    Next
Next
Get (0, 0)-(11, 11), LedOn(0)

GoSub graphics

Line (0, 0)-(639, 19), 0, BF
GoSub TekenAchtergrond

waarde$ = "V1.6.21": dx = 2: dy = 2: GoSub PlaatsTekstLinksUitlijnWit


waarde$ = "HELICOPTER RESCUE": dx = 327: dy = 417: GoSub plaatstekstcentered

x1 = 198: y1 = 90: x2 = 442: y2 = 330: GoSub TekenBlok
Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 3, BF
x1 = 208: y1 = 100: x2 = 432: y2 = 120: GoSub TekenGat
Line (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 0, BF

dx = 320: dy = 107: waarde$ = "--- RESET .TXT FILES ---": GoSub plaatstekstcentered


'
x1 = 208: y1 = 285: x2 = 316: y2 = 315: GoSub TekenBlok
dx = 249: dy = 297: waarde$ = "OK": GoSub PlaatsZwartOpGrijs

x1 = 324: y1 = 285: x2 = 432: y2 = 315: GoSub TekenBlok
dx = 352: dy = 297: waarde$ = "CANCEL": GoSub PlaatsZwartOpGrijs


Backlabel:

Select Case b1
    Case 0
        x1 = 208: y1 = 130: x2 = 432: y2 = 150: GoSub TekenBlok
        dx = 209: dy = 137: waarde$ = "RESCUES": GoSub PlaatsZwartOpGrijs
        Put (416, 135), LedOff(0), PSet
    Case 1
        x1 = 208: y1 = 130: x2 = 432: y2 = 150: GoSub TekenGat
        dx = 209: dy = 137: waarde$ = "RESCUES": GoSub PlaatsZwartOpGrijs
        Put (416, 135), LedOn(0), PSet
End Select
Select Case b2
    Case 0
        x1 = 208: y1 = 160: x2 = 432: y2 = 180: GoSub TekenBlok
        dx = 209: dy = 167: waarde$ = "VEHICLE MOVEMENT DATA": GoSub PlaatsZwartOpGrijs
        Put (416, 165), LedOff(0), PSet
    Case 1
        x1 = 208: y1 = 160: x2 = 432: y2 = 180: GoSub TekenGat
        dx = 209: dy = 167: waarde$ = "VEHICLE MOVEMENT DATA": GoSub PlaatsZwartOpGrijs
        Put (416, 165), LedOn(0), PSet
End Select
Select Case b3
    Case 0
        x1 = 208: y1 = 190: x2 = 432: y2 = 210: GoSub TekenBlok
        dx = 209: dy = 197: waarde$ = "HIGHSCORES/FLIGHTRECORDERS": GoSub PlaatsZwartOpGrijs
        Put (416, 195), LedOff(0), PSet
    Case 1
        x1 = 208: y1 = 190: x2 = 432: y2 = 210: GoSub TekenGat
        dx = 209: dy = 197: waarde$ = "HIGHSCORES/FLIGHTRECORDERS": GoSub PlaatsZwartOpGrijs
        Put (416, 195), LedOn(0), PSet
End Select
Select Case b4
    Case 0
        x1 = 208: y1 = 220: x2 = 432: y2 = 240: GoSub TekenBlok
        dx = 209: dy = 227: waarde$ = "OTHER DEFAULT .TXT FILES": GoSub PlaatsZwartOpGrijs
        Put (416, 225), LedOff(0), PSet
    Case 1
        x1 = 208: y1 = 220: x2 = 432: y2 = 240: GoSub TekenGat
        dx = 209: dy = 227: waarde$ = "OTHER DEFAULT .TXT FILES": GoSub PlaatsZwartOpGrijs
        Put (416, 225), LedOn(0), PSet
End Select
Select Case b5
    Case 0
        x1 = 208: y1 = 250: x2 = 432: y2 = 270: GoSub TekenBlok
        dx = 209: dy = 257: waarde$ = "RECORD REPLAY": GoSub PlaatsZwartOpGrijs
        Put (416, 255), LedOff(0), PSet
    Case 1
        x1 = 208: y1 = 250: x2 = 432: y2 = 270: GoSub TekenGat
        dx = 209: dy = 257: waarde$ = "RECORD REPLAY": GoSub PlaatsZwartOpGrijs
        Put (416, 255), LedOn(0), PSet
End Select



Label1:
_Limit 20
i$ = InKey$
Mouse 3
If b = 1 And h > 208 And h < 432 And v > 130 And v < 150 Then _SndPlay Click&: GoSub rescuecoordinates
If b = 1 And h > 208 And h < 432 And v > 160 And v < 180 Then _SndPlay Click&: GoSub vehicles
If b = 1 And h > 208 And h < 432 And v > 190 And v < 210 Then _SndPlay Click&: GoSub blackboxeshighscores
If b = 1 And h > 208 And h < 432 And v > 220 And v < 240 Then _SndPlay Click&: GoSub defaultfiles
If b = 1 And h > 208 And h < 432 And v > 250 And v < 270 Then _SndPlay Click&: GoSub recorddemo

If (b = 1 And h > 208 And h < 316 And v > 285 And v < 315) Or i$ = " " Then _SndPlay Click&: GoTo OK
If (b = 1 And h > 324 And h < 432 And v > 285 And v < 315) Or i$ = Chr$(27) Then _SndPlay Click&: GoTo cancel
If i$ = "#" Then System
If i$ = "!" And b = 1 And h > 1 And h < 36 And v > 1 And v < 8 Then TurboHS = 1: _SndPlay Click&: GoSub blackboxeshighscores

If i$ = Chr$(9) Then GoSub swapScreen '


GoTo Label1

rescuecoordinates:
x1 = 208: y1 = 130: x2 = 432: y2 = 150: GoSub TekenGat
While b <> 0: Mouse 3: _Limit 20: Wend '       Flush Mouse
If b1 = 1 Then b1 = 0: Return Backlabel
If b1 = 0 Then b1 = 1: Return Backlabel

vehicles:
x1 = 208: y1 = 160: x2 = 432: y2 = 180: GoSub TekenGat
While b <> 0: Mouse 3: _Limit 20: Wend '       Flush Mouse
If b2 = 1 Then b2 = 0: Return Backlabel
If b2 = 0 Then b2 = 1: Return Backlabel

blackboxeshighscores:
x1 = 208: y1 = 190: x2 = 432: y2 = 210: GoSub TekenGat
While b <> 0: Mouse 3: _Limit 20: Wend '       Flush Mouse
If b3 = 1 Then b3 = 0: TurboHS = 0: Return Backlabel
If b3 = 0 Then b3 = 1: Return Backlabel

defaultfiles:
x1 = 208: y1 = 220: x2 = 432: y2 = 240: GoSub TekenGat
While b <> 0: Mouse 3: _Limit 20: Wend '       Flush Mouse
If b4 = 1 Then b4 = 0: Return Backlabel
If b4 = 0 Then b4 = 1: Return Backlabel

recorddemo:
x1 = 208: y1 = 250: x2 = 432: y2 = 270: GoSub TekenGat
While b <> 0: Mouse 3: _Limit 20: Wend '       Flush Mouse
If b5 = 1 Then b5 = 0: Return Backlabel
If b5 = 0 Then b5 = 1: Return Backlabel

cancel:
x1 = 324: y1 = 285: x2 = 432: y2 = 315: GoSub TekenGat
While b <> 0: Mouse 3: _Limit 20: Wend '       Flush Mouse
_Delay .2
GoSub Systeemeinde2
Chain "Menu.exe"


OK:
x1 = 208: y1 = 285: x2 = 316: y2 = 315: GoSub TekenGat
While b <> 0: Mouse 3: _Limit 20: Wend '       Flush Mouse
_Delay .2
'*********************************************************************************************
'RESCUES
'*********************************************************************************************
If b1 = 1 Then
    RescueDistance = 2200
    For rescue = 1 To 9
        Open "..\TXTFiles\" + "LEVEL" + LTrim$(Str$(rescue)) + ".TXT" For Output As #1
        Print #1, "START"
        AllowedSec& = 360 + 120 * rescue '
        arescues = rescue + 3
        Print #1, AllowedSec&
        Print #1, arescues
        Print #1, " 0      0  0 BASE"
        For nn = 0 To arescues - 1
            angle# = ((2 * pi#) / arescues) * nn
            xk = RescueDistance * Sin(angle#)
            yk = 0
            zk = RescueDistance * Cos(angle#)
            Print #1, xk, yk, zk, "RESCUE " + LTrim$(Str$(nn + 1))
        Next
        Print #1, "STOP"
        Close #1
    Next
End If
'*********************************************************************************************
'VEHICLES FILES HITBALLS
'*********************************************************************************************
If b2 = 1 Then
    Restore VehiclePlacement
    Open "..\TXTFiles\VEHICLES.TXT" For Output As #11
    herstel:
    Read VijandType
    Read Hoek
    Read VijandAfstand#
    Read VijandSpeed#
    Print #11, VijandType, Hoek, VijandAfstand#, VijandSpeed#
    If VijandType = 4 Then
        Read TransportFuel: Read TransportBullets
        Print #11, TransportFuel, TransportBullets
    End If
    If VijandType = 99 Then Close #11: GoTo verder
    GoTo herstel
    verder:


    '
    Open "..\TXTFiles\HITBALLS.TXT" For Output As #1
    Print #1, 5 'HitHightPerson
    Print #1, 10 'HitBallPerson

    Print #1, 16 'HithoogteOmax
    Print #1, 12 'Object1HitBall
    Print #1, 16 'Object2HitBall
    Print #1, 10 'Object3HitBall

    Print #1, 10 'HitHoogtemax
    Print #1, 16 'HitBallSportscar
    Print #1, 16 'HitBallJeep
    Print #1, 20 'HitBallTank
    Print #1, 20 'HitBallSupplyTruck
    Close #1




End If
'*********************************************************************************************
'BLACKBOXES AND HIGHSCORES
'*********************************************************************************************
If b3 = 1 Then

    Open "..\TXTFiles\" + "TMPSCORE.TXT" For Output As #1
    Print #1, 0
    Close #1

    Open "..\TXTFiles\" + "BLACKBOX.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB01.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB02.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB03.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB04.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB05.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB06.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB07.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB08.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB09.TXT" For Output As #1
    Close #1
    Open "..\TXTFiles\" + "BB10.TXT" For Output As #1
    Close #1

    Select Case TurboHS
        Case 0
            PlayerName$(1) = "------------": PlayerScore&(1) = 1000: PlayerLevel(1) = 0: FuelTotal#(1) = 0: PlayerSeconds&(1) = 0
            PlayerName$(2) = "------------": PlayerScore&(2) = 900: PlayerLevel(2) = 0: FuelTotal#(2) = 0: PlayerSeconds&(2) = 0
            PlayerName$(3) = "------------": PlayerScore&(3) = 800: PlayerLevel(3) = 0: FuelTotal#(3) = 0: PlayerSeconds&(3) = 0
            PlayerName$(4) = "------------": PlayerScore&(4) = 700: PlayerLevel(4) = 0: FuelTotal#(4) = 0: PlayerSeconds&(4) = 0
            PlayerName$(5) = "------------": PlayerScore&(5) = 600: PlayerLevel(5) = 0: FuelTotal#(5) = 0: PlayerSeconds&(5) = 0
            PlayerName$(6) = "------------": PlayerScore&(6) = 500: PlayerLevel(6) = 0: FuelTotal#(6) = 0: PlayerSeconds&(6) = 0
            PlayerName$(7) = "------------": PlayerScore&(7) = 400: PlayerLevel(7) = 0: FuelTotal#(7) = 0: PlayerSeconds&(7) = 0
            PlayerName$(8) = "------------": PlayerScore&(8) = 300: PlayerLevel(8) = 0: FuelTotal#(8) = 0: PlayerSeconds&(8) = 0
            PlayerName$(9) = "------------": PlayerScore&(9) = 200: PlayerLevel(9) = 0: FuelTotal#(9) = 0: PlayerSeconds&(9) = 0
            PlayerName$(10) = "------------": PlayerScore&(10) = 100: PlayerLevel(10) = 0: FuelTotal#(10) = 0: PlayerSeconds&(10) = 0
        Case 1
            PlayerName$(1) = "------------": PlayerScore&(1) = 0: PlayerLevel(1) = 0: FuelTotal#(1) = 0: PlayerSeconds&(1) = 0
            PlayerName$(2) = "------------": PlayerScore&(2) = 0: PlayerLevel(2) = 0: FuelTotal#(2) = 0: PlayerSeconds&(2) = 0
            PlayerName$(3) = "------------": PlayerScore&(3) = 0: PlayerLevel(3) = 0: FuelTotal#(3) = 0: PlayerSeconds&(3) = 0
            PlayerName$(4) = "------------": PlayerScore&(4) = 0: PlayerLevel(4) = 0: FuelTotal#(4) = 0: PlayerSeconds&(4) = 0
            PlayerName$(5) = "------------": PlayerScore&(5) = 0: PlayerLevel(5) = 0: FuelTotal#(5) = 0: PlayerSeconds&(5) = 0
            PlayerName$(6) = "------------": PlayerScore&(6) = 0: PlayerLevel(6) = 0: FuelTotal#(6) = 0: PlayerSeconds&(6) = 0
            PlayerName$(7) = "------------": PlayerScore&(7) = 0: PlayerLevel(7) = 0: FuelTotal#(7) = 0: PlayerSeconds&(7) = 0
            PlayerName$(8) = "------------": PlayerScore&(8) = 0: PlayerLevel(8) = 0: FuelTotal#(8) = 0: PlayerSeconds&(8) = 0
            PlayerName$(9) = "------------": PlayerScore&(9) = 0: PlayerLevel(9) = 0: FuelTotal#(9) = 0: PlayerSeconds&(9) = 0
            PlayerName$(10) = "------------": PlayerScore&(10) = 0: PlayerLevel(10) = 0: FuelTotal#(10) = 0: PlayerSeconds&(10) = 0
    End Select

    Open "..\TXTFiles\" + "SCORES.TXT" For Output As #1
    For k = 1 To 10
        Print #1, k
        Print #1, PlayerName$(k)
        Print #1, PlayerScore&(k)
        Print #1, PlayerLevel(k)
        Print #1, FuelTotal#(k)
        Print #1, PlayerSeconds&(k)
    Next
    Close #1

    For locknr = 0 To 10
        lnr$ = LTrim$(Str$(locknr))
        If Len(lnr$) < 2 Then lnr$ = "0" + lnr$
        Open "..\TXTFiles\" + "LOCKS" + lnr$ + ".TXT" For Output As #1 '
        Print #1, 1 'SUPPLY TRUCK
        Print #1, 1 'SPORTSCAR
        Print #1, 1 'JEEP
        Print #1, 1 'TANK
        Print #1, 1 'TREE
        Print #1, 1 'SHED
        Print #1, 1 'HEAP
        Close #1
    Next

End If
'*********************************************************************************************
'DEFAULT FILES
'*********************************************************************************************
If b4 = 1 Then
    Open "..\TXTFiles\" + "CURRENT.TXT" For Output As #1
    Print #1, "SCENE01.ITM"
    Close #1
    Open "..\TXTFiles\" + "VOLUME.TXT" For Output As #1
    Print #1, 50
    Close #1
    Open "..\TXTFiles\" + "DISPLAY.TXT" For Output As #1
    Print #1, "FULLSCREEN"
    Close #1
    Open "..\TXTFiles\" + "DISPLAYM.TXT" For Output As #1
    Print #1, "FULLSCREEN"
    Close #1
    Open "..\TXTFiles\" + "FPS.TXT" For Output As #1
    Print #1, 60
    Close #1
    Open "..\TXTFiles\" + "DIFF.TXT" For Output As #1
    Print #1, 2
    Close #1
    Open "..\TXTFiles\" + "SPEED.TXT" For Output As #1
    Print #1, "FASTCPU"
    Close #1
    Open "..\TXTFiles\" + "MODE.TXT" For Output As #1
    Print #1, "NORMAL"
    Close #1
    Open "..\TXTFiles\CURHISCO.TXT" For Output As #1
    Print #1, 0
    Close #1
    Open "..\TXTFiles\CONTROL.TXT" For Output As #1
    Print #1, "MOUSE"
    Close #1
    Open "..\TXTFiles\ENDTEXT.TXT" For Output As #1
    Print #1, "#2024 T&T WARE"
    Close #1
    Open "..\TXTFiles\DAYNIGHT.TXT" For Output As #1
    Print #1, "DAY"
    Close #1
    Open "..\TXTFiles\RADAR.TXT" For Output As #1
    Print #1, "ON"
    Close #1
    Open "..\TXTFiles\SKY.TXT" For Output As #1
    Print #1, "ON"
    Close #1
    Open "..\TXTFiles\BIRDS.TXT" For Output As #1
    Print #1, 7
    Close #1
    Open "..\TXTFiles\ZOOM.TXT" For Output As #1
    Print #1, 1.2
    Close #1
    Open "..\TXTFiles\PLAFOND.TXT" For Output As #1
    Print #1, 300
    Close #1


End If
'*********************************************************************************************
'RECORD REPLAY
'*********************************************************************************************
Open "..\TXTFiles\" + "RECDEMO.TXT" For Output As #1
Select Case b5
    Case 0: Print #1, "OFF"
    Case 1: Print #1, "ON"
End Select
Close #1
'*********************************************************************************************
If b1 = 1 Then Play "v" + Pct$ + "MBl32o4c"
If b2 = 1 Then Play "v" + Pct$ + "MBl32o4e"
If b3 = 1 Then Play "v" + Pct$ + "MBl32o4g"
If b4 = 1 Then Play "v" + Pct$ + "MBl32o5c"
If b5 = 1 Then Play "v" + Pct$ + "MBl32o5e"

GoSub Systeemeinde2
'CHDIR "..\": CHAIN "Helicopter Rescue.exe"
Chain "Menu.exe"

'*********************************************************************************************
plaatstekstcentered:
If waarde$ = "" Then waarde$ = "TEXT ERROR"
ddx = dx - Len(waarde$) * 3.5
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (ddx + (strp - 1) * 7, dy), v(nch * grootte), Or
Next
waarde$ = ""
Return

PlaatsTekstLinksUitlijn:
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (dx + (strp - 1) * 7, dy), v(nch * grootte), Or
Next
waarde$ = ""
Return

PlaatsTekstLinksUitlijnWit:
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (dx + (strp - 1) * 7, dy), vwit(nch * grootte), Or
Next
waarde$ = ""
Return


PlaatsZwartOpGrijs:
If waarde$ = "" Then waarde$ = "TEXT ERROR"
ddx = dx
For strp = 1 To Len(waarde$)
    nch = Asc(Mid$(waarde$, strp, 1))
    Put (ddx + strp * 7, dy), w(nch * grootte), PSet
Next
waarde$ = ""
Return

TekenBlok:
Line (x1, y1)-(x2 - 1, y1), 4
Line (x2, y1)-(x2, y2 - 1), 4
Line (x2, y2)-(x1 + 1, y2), 2
Line (x1, y2)-(x1, y1 + 1), 2
Return

TekenGat:
Line (x1, y1)-(x2 - 1, y1), 2
Line (x2, y1)-(x2, y2 - 1), 2
Line (x2, y2)-(x1 + 1, y2), 4
Line (x1, y2)-(x1, y1 + 1), 4
Return

graphics:
Cls
Restore set2 '                          Character set (2 of 2)   enkele dikte
For nch = 32 To 38
    dxch = (nch - 32) * 6
    dych = 10
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, dych + ych), 15
            If flag$ = "1" Then PSet (dxch + xch, dych + ych + 40), 5
        Next
    Next
    Get (dxch, dych)-(dxch + 5, dych + 6), v(nch * grootte)
    Get (dxch, dych + 40)-(dxch + 5, dych + 6 + 40), vwit(nch * grootte)
Next
For nch = 40 To 41
    dxch = (nch - 32) * 6
    dych = 10
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, dych + ych), 15
            If flag$ = "1" Then PSet (dxch + xch, dych + ych + 40), 5
        Next
    Next
    Get (dxch, dych)-(dxch + 5, dych + 6), v(nch * grootte)
    Get (dxch, dych + 40)-(dxch + 5, dych + 6 + 40), vwit(nch * grootte)
Next
For nch = 44 To 58
    dxch = (nch - 44) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 15
            If flag$ = "1" Then PSet (dxch + xch, ych + 40), 5
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), v(nch * grootte)
    Get (dxch, 40)-(dxch + 5, 6 + 40), vwit(nch * grootte)
Next
For nch = 64 To 92
    dxch = (nch - 45) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 15
            If flag$ = "1" Then PSet (dxch + xch, ych + 40), 5
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), v(nch * grootte)
    Get (dxch, 40)-(dxch + 5, 6 + 40), vwit(nch * grootte)
Next

Cls
Line (0, 0)-(639, 19), 3, BF
Restore Set1 '                          Character set (1 of 2)
nch = 32
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
nch = 37
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
nch = 38
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
For nch = 40 To 41
    dxch = (nch - 32) * 6
    dych = 10
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
        Next
    Next
    Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)
Next

nch = 43
dxch = (nch - 32) * 6
dych = 10
For ych = 0 To 6
    Read pch$
    For xch = 0 To 5
        flag$ = Mid$(pch$, xch + 1, 1)
        If flag$ = "1" Then PSet (dxch + xch, dych + ych), 0
    Next
Next
Get (dxch, dych)-(dxch + 5, dych + 6), w(nch * grootte)

For nch = 45 To 58
    dxch = (nch - 45) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 0
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), w(nch * grootte)
Next
For nch = 64 To 92
    dxch = (nch - 45) * 6
    For ych = 0 To 6
        Read pch$
        For xch = 0 To 5
            flag$ = Mid$(pch$, xch + 1, 1)
            If flag$ = "1" Then PSet (dxch + xch, ych), 0
        Next
    Next
    Get (dxch, 0)-(dxch + 5, 6), w(nch * grootte)
Next
Cls
Palette 15, 65536 * 0 + 256 * 63 + 0 'hoofdkleur
Return

TekenAchtergrond:
dx = 320 - 374 / 2
dy = 190 - 290 / 2
Line (0, 0)-(639, 479), 1, BF
Open "..\Resources\Logo.pxl" For Input As #3 '                  Logo
For yPxl = 0 To 145
    For xPxl = 0 To 187
        Input #3, cPxl(xPxl, yPxl)
    Next
Next
Close #3
For yPxl = 0 To 145
    For xPxl = 0 To 187
        Line (dx + 2 * xPxl, dy + 2 * yPxl)-(dx + 2 * xPxl + 1, dy + 2 * yPxl + 1), cPxl(xPxl, yPxl), BF
    Next
Next
Line (0, 400)-(639, 440), 0, BF
Return



swapScreen: '
Play "v" + Pct$ + "MBl32o3a"
Open "..\TXTFiles\DISPLAYM.TXT" For Input As #11
Input #11, screen$
Close #11
If screen$ = "WINDOWED" Then screen$ = "FULLSCREEN": GoSub WriteSettings: GoTo labello
If screen$ = "FULLSCREEN" Then screen$ = "WINDOWED": GoSub WriteSettings: GoTo labello
labello:
If full = 1 Then _FullScreen _Off: _ScreenMove _Middle: full = 0: Return
If full = 0 Then _FullScreen _SquarePixels , _Smooth: full = 1: Return
WriteSettings:
Open "..\TXTFiles\DISPLAYM.TXT" For Output As #11
Print #11, screen$
Close #11
Return


'
Systeemeinde:
_AutoDisplay
Timer Off

dikte = 8
Line (320 - dikte, 0)-(320 + dikte, 479), 0, BF
For k = 1 To 40
    Get (320, 0)-(639 - dikte, 479), bulk1(0)
    Get (dikte, 0)-(319, 479), bulk2(0)
    _Limit 1280
    Put (0, 0), bulk2(0), PSet
    Put (320 + dikte, 0), bulk1(0), PSet
    _Display
Next
System

Systeemeinde2:
_AutoDisplay
Timer Off

dikte = 8
Line (320 - dikte, 0)-(320 + dikte, 479), 0, BF
For k = 1 To 40
    Get (320, 0)-(639 - dikte, 479), bulk1(0)
    Get (dikte, 0)-(319, 479), bulk2(0)
    _Limit 1280
    Put (0, 0), bulk2(0), PSet
    Put (320 + dikte, 0), bulk1(0), PSet
    _Display
Next
Return



'LedOff
Data ............
Data ............
Data ....2222....
Data ...4AAAA2...
Data ..4AAAABA2..
Data ..4AAAAAA2..
Data ..4AAAAAA2..
Data ..4AAAAAA2..
Data ...4AAAA2...
Data ....4444....
Data ............
Data ............
'LedOn
Data ............
Data ............
Data ....2222....
Data ...4CCCC2...
Data ..4CCCC5C2..
Data ..4CCCCCC2..
Data ..4CCCCCC2..
Data ..4CCCCCC2..
Data ...4CCCC2...
Data ....4444....
Data ............
Data ............

Set1:
'        (32)
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

'  %     (37)
Data 110001
Data 110011
Data 000110
Data 001100
Data 011000
Data 110011
Data 100011

' &
Data 001000
Data 110100
Data 110100
Data 001001
Data 010110
Data 110010
Data 011101


'  ()    (40-41)       !@#
Data 000110
Data 001100
Data 011000
Data 011000
Data 011000
Data 001100
Data 000110

Data 011000
Data 001100
Data 000110
Data 000110
Data 000110
Data 001100
Data 011000

'+   (43)
Data 000000
Data 001100
Data 001100
Data 011110
Data 001100
Data 001100
Data 000000


'  -     (45-47)
Data 000000
Data 000000
Data 000000
Data 011110
Data 000000
Data 000000
Data 000000

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 001100
Data 001100

Data 000001
Data 000011
Data 000110
Data 001100
Data 011000
Data 110000
Data 100000

'  0 - : (48-58)
Data 011110
Data 110111
Data 110111
Data 111011
Data 111011
Data 111011
Data 011110

Data 001100
Data 011100
Data 001100
Data 001100
Data 001100
Data 001100
Data 011110

Data 011110
Data 110011
Data 000011
Data 001100
Data 110000
Data 110000
Data 111111

Data 011110
Data 110011
Data 000011
Data 001100
Data 000011
Data 110011
Data 011110

Data 110000
Data 110000
Data 110110
Data 111111
Data 000110
Data 000110
Data 000110

Data 111111
Data 110000
Data 110000
Data 001100
Data 000011
Data 110011
Data 011110

Data 000110
Data 001100
Data 011000
Data 111110
Data 110011
Data 110011
Data 011110

Data 111111
Data 000011
Data 000011
Data 001100
Data 011000
Data 011000
Data 011000

Data 011110
Data 110011
Data 110011
Data 011110
Data 110011
Data 110011
Data 011110

Data 011110
Data 110011
Data 110011
Data 011111
Data 000110
Data 001100
Data 011000

Data 000000
Data 001100
Data 001100
Data 000000
Data 001100
Data 001100
Data 000000

'  @ - Z (65-90)
Data 001110
Data 110011
Data 110011
Data 110111
Data 110111
Data 111000
Data 001111

Data 001100
Data 011110
Data 110011
Data 111111
Data 110011
Data 110011
Data 110011

Data 111110
Data 110011
Data 110011
Data 111110
Data 110011
Data 110011
Data 111110

Data 011110
Data 110011
Data 110000
Data 110000
Data 110000
Data 110011
Data 011110

Data 111110
Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 111110

Data 111111
Data 110000
Data 110000
Data 111100
Data 110000
Data 110000
Data 111111

Data 111111
Data 110000
Data 110000
Data 111100
Data 110000
Data 110000
Data 110000

Data 011110
Data 110011
Data 110000
Data 110110
Data 110011
Data 110011
Data 011110

Data 110011
Data 110011
Data 110011
Data 111111
Data 110011
Data 110011
Data 110011

Data 011110
Data 001100
Data 001100
Data 001100
Data 001100
Data 001100
Data 011110

Data 111111
Data 000011
Data 000011
Data 110011
Data 110011
Data 110011
Data 011110

Data 110011
Data 110011
Data 110110
Data 111100
Data 110110
Data 110011
Data 110011

Data 110000
Data 110000
Data 110000
Data 110000
Data 110000
Data 110000
Data 111111

Data 110011
Data 111111
Data 111111
Data 110011
Data 110011
Data 110011
Data 110011

Data 110011
Data 111011
Data 111011
Data 110111
Data 110111
Data 110011
Data 110011

Data 011110
Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 011110

Data 111110
Data 110011
Data 110011
Data 111110
Data 110000
Data 110000
Data 110000

Data 011110
Data 110011
Data 110011
Data 110011
Data 110111
Data 110110
Data 011111

Data 111110
Data 110011
Data 110011
Data 111110
Data 110011
Data 110011
Data 110011

Data 011110
Data 110011
Data 110000
Data 011110
Data 000011
Data 110011
Data 011110

Data 111111
Data 001100
Data 001100
Data 001100
Data 001100
Data 001100
Data 001100

Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 011110

Data 110011
Data 110011
Data 110011
Data 110011
Data 110011
Data 011110
Data 001100

Data 110011
Data 110011
Data 110011
Data 110011
Data 111111
Data 111111
Data 110011

Data 110011
Data 110011
Data 011110
Data 001100
Data 011110
Data 110011
Data 110011

Data 110011
Data 110011
Data 110011
Data 011110
Data 001100
Data 001100
Data 001100

Data 111111
Data 000011
Data 000110
Data 001100
Data 011000
Data 110000
Data 111111

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 001100
Data 001100
Data 011000
Data 000000
Data 000000
Data 000000
Data 000000

set2:
'        (32 - 37) SPC-%
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 000000
Data 001000

Data 010100
Data 010100
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 011110
Data 100001
Data 101101
Data 101001
Data 101101
Data 100001
Data 011110

Data 011110
Data 101000
Data 101000
Data 011100
Data 001010
Data 001010
Data 111100

Data 110001
Data 110011
Data 000110
Data 001100
Data 011000
Data 110011
Data 100011

Data 001000
Data 010100
Data 010100
Data 001001
Data 010110
Data 100010
Data 011101


'  ()    (40-41)
Data 000110
Data 001100
Data 011000
Data 011000
Data 011000
Data 001100
Data 000110

Data 011000
Data 001100
Data 000110
Data 000110
Data 000110
Data 001100
Data 011000


'  -     (44-47)
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000100
Data 001000



Data 000000
Data 000000
Data 000000
Data 011110
Data 000000
Data 000000
Data 000000

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 001100
Data 001100

Data 000000
Data 000001
Data 000010
Data 000100
Data 001000
Data 010000
Data 100000
'  0 - 9 (48-57)
Data 011110
Data 100011
Data 100101
Data 100001
Data 101001
Data 110001
Data 011110

Data 000100
Data 001100
Data 000100
Data 000100
Data 000100
Data 000100
Data 001110

Data 011110
Data 100001
Data 000001
Data 001110
Data 010000
Data 100000
Data 111111

Data 011110
Data 100001
Data 000001
Data 001110
Data 000001
Data 100001
Data 011110

Data 100000
Data 100000
Data 100100
Data 111111
Data 000100
Data 000100
Data 000100

Data 111111
Data 100000
Data 111100
Data 000010
Data 000001
Data 100001
Data 011110

Data 000110
Data 001000
Data 010000
Data 111110
Data 100001
Data 100001
Data 011110

Data 111111
Data 000001
Data 000001
Data 000110
Data 001000
Data 001000
Data 001000

Data 011110
Data 100001
Data 100001
Data 011110
Data 100001
Data 100001
Data 011110

Data 011110
Data 100001
Data 100001
Data 011111
Data 000010
Data 000100
Data 001000

Data 000000
Data 001000
Data 001000
Data 000000
Data 001000
Data 001000
Data 000000


'  @ - Z (64-90)
Data 001110
Data 110001
Data 100101
Data 101011
Data 100111
Data 110000
Data 001111

Data 001100
Data 010010
Data 100001
Data 111111
Data 100001
Data 100001
Data 100001

Data 111110
Data 100001
Data 100001
Data 111110
Data 100001
Data 100001
Data 111110

Data 011111
Data 100000
Data 100000
Data 100000
Data 100000
Data 100000
Data 011111

Data 111110
Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 111110

Data 111111
Data 100000
Data 100000
Data 111100
Data 100000
Data 100000
Data 111111

Data 111111
Data 100000
Data 100000
Data 111100
Data 100000
Data 100000
Data 100000

Data 011110
Data 100001
Data 100000
Data 100110
Data 100001
Data 100001
Data 011110

Data 100001
Data 100001
Data 100001
Data 111111
Data 100001
Data 100001
Data 100001

Data 011100
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 011100

Data 111111
Data 000001
Data 000001
Data 000001
Data 100001
Data 100001
Data 011110

Data 100001
Data 100010
Data 100100
Data 111000
Data 100100
Data 100010
Data 100001

Data 100000
Data 100000
Data 100000
Data 100000
Data 100000
Data 100000
Data 111111

Data 100001
Data 110011
Data 101101
Data 100001
Data 100001
Data 100001
Data 100001

Data 100001
Data 110001
Data 101001
Data 100101
Data 100011
Data 100001
Data 100001

Data 011110
Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 011110

Data 111110
Data 100001
Data 100001
Data 111110
Data 100000
Data 100000
Data 100000

Data 011110
Data 100001
Data 100001
Data 100001
Data 100101
Data 100011
Data 011111

Data 111110
Data 100001
Data 100001
Data 111110
Data 100001
Data 100001
Data 100001

Data 011110
Data 100001
Data 100000
Data 011110
Data 000001
Data 100001
Data 011110

Data 111110
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000
Data 001000

Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 100001
Data 011110

Data 100001
Data 100001
Data 100001
Data 010010
Data 010010
Data 010010
Data 001100

Data 100001
Data 100001
Data 100001
Data 100001
Data 101101
Data 110011
Data 100001

Data 100001
Data 100001
Data 010010
Data 001100
Data 010010
Data 100001
Data 100001

Data 100010
Data 100010
Data 100010
Data 010100
Data 001000
Data 001000
Data 001000

Data 111111
Data 000001
Data 000010
Data 000100
Data 001000
Data 010000
Data 111111

Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000
Data 000000

Data 000100
Data 000100
Data 001000
Data 000000
Data 000000
Data 000000
Data 000000

VehiclePlacement:

'DATA LINE 1:     1=supply truck  ,  180 degrees  ,  distance 0020 ft  ,  speed 1.25 ft/cycle  ,  125 GL fuel  ,  1200 bullets
'DATA LINE 2:     2=sportscar     ,  350 degrees  ,  distance 4000 ft  ,  speed 1.25 ft/cycle
'
'You get it?      3=jeep, 4=tank
'
'Last DATA LINE: 99,0,0,0
'

'Starting with truck, or else: no fuel
Data 1,180,0020,1.25,125,1200
Data 2,350,4000,1.25
Data 2,030,4100,1.15
Data 2,100,4000,1.25
Data 2,130,4100,1.30

Data 1,170,4000,1,125,1200

Data 3,225,4000,1
Data 2,178,4050,1.1
Data 3,130,4000,1.25
Data 2,170,4050,1.2

Data 3,315,4000,1.2
Data 3,315,4050,1.3
Data 2,135,4000,1.3
Data 3,155,4000,1.2

Data 1,170,4000,1,125,1200

Data 4,010,4000,1
Data 2,040,4050,1.2
Data 3,315,4000,1.3
Data 3,205,4050,1.25

Data 4,010,4000,1.25
Data 2,090,4050,1.25
Data 4,180,4000,1.25

Data 1,270,4050,1.25,125,1200

Data 2,020,4000,1.35
Data 3,350,4100,1.35
Data 2,100,4000,1.35
Data 4,080,4100,1.35

Data 1,170,4000,1,125,1200

Data 3,225,4000,1.1
Data 4,200,4050,1.25
Data 3,160,4000,1.35
Data 2,170,4050,1.35

Data 3,045,4000,1.35
Data 3,025,4050,1.35
Data 2,135,4000,1.35
Data 2,115,4000,1.35

Data 1,170,4000,1,125,1200

Data 4,010,4000,1.1
Data 4,020,4050,1.1
Data 3,315,4000,1.35
Data 3,315,4050,1.35

Data 3,010,4000,1.35
Data 3,100,4050,1.35
Data 2,190,4000,1.35
Data 3,280,4050,1.35

Data 1,190,4000,1,125,1200

Data 99,0,0,0


Sub Mouse (Funk) Static 'Define sub & parameter(s) passed.
    Shared b, h, v 'Share variables with main sub.
    If Funk = 1 Then Crsr = 1 'Show Cursor.
    If Funk = 2 And Crsr = 0 Then Exit Sub 'Don't hide Cursor more than once.
    If Funk = 2 And Crsr = 1 Then Crsr = 0 'Hide Cursor.
    Poke 100, 184: Poke 101, Funk: Poke 102, 0 'Poke machine code necessary for
    Poke 103, 205: Poke 104, 51: Poke 105, 137 'using the mouse into memory
    Poke 106, 30: Poke 107, 170: Poke 108, 10 'starting at offset 100 in the
    Poke 109, 137: Poke 110, 14: Poke 111, 187 'current segment.  This code is
    Poke 112, 11: Poke 113, 137: Poke 114, 22 'then executed as a unit, via the
    Poke 115, 204: Poke 116, 12: Poke 117, 203 'statement " Call Absolute ".
    Call Absolute(100) 'Call machine code.
    b = Peek(&HAAA) 'Get values for: Buttons
    h = Peek(&HBBB) + Peek(&HBBC) * 256 'Horizontal position ( 2 bytes )
    v = Peek(&HCCC) + Peek(&HCCD) * 256 'Vertical position ( 2 bytes )
End Sub 'End of sub-program.




